import React, { useState, useEffect } from 'react';
import { Input, Container, Row, Col, Card, CardBody, Alert, Label, UncontrolledTooltip, Table, BreadcrumbItem, Button, CardTitle, CardSubtitle, Badge, Dropdown, DropdownToggle, DropdownMenu, Media, Form, FormGroup, InputGroup } from 'reactstrap';
import { AvField, AvForm } from 'availity-reactstrap-validation';
import { Link, withRouter } from 'react-router-dom';
import InputMask from 'react-input-mask';
import profileImg from './easy-profile-img~psVXIHFl.png';
import logo from './logo~RvAjuZjL.svg';
import SweetAlert from 'react-bootstrap-sweetalert';
import Moment from 'moment';
import SimpleBar from 'simplebar-react';
import { withTranslation, initReactI18next } from 'react-i18next';
import user1 from './avatar2~YGGazuwT.png';
import Editable from 'react-bootstrap-editable';
import uuid from 'react-uuid';
import axios from 'axios';
import i18n$1 from 'i18next';
import detector from 'i18next-browser-languagedetector';

var styles = {"test":"_3ybTi"};

var PhoneInput = function PhoneInput(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(AvField, {
    value: props.value,
    label: props.label,
    placeholder: props.placeholder,
    className: "form-control",
    type: "text",
    mask: "0(999)999-99-99",
    maskChar: "-",
    name: props.name,
    tag: [Input, InputMask],
    errorMessage: "Telefon numaras\u0131 alan\u0131 zorunludur.",
    required: true
  }));
};

var Login = function Login(props) {
  var _props$submitButtonSt, _props$submitButtonSt2;

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "account-pages my-5 pt-sm-5"
  }, /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Row, {
    className: "justify-content-center"
  }, /*#__PURE__*/React.createElement(Col, {
    md: 8,
    lg: 6,
    xl: 5
  }, /*#__PURE__*/React.createElement(Card, {
    className: "overflow-hidden"
  }, /*#__PURE__*/React.createElement("div", {
    className: "bg-soft-primary"
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    className: "col-7"
  }, /*#__PURE__*/React.createElement("div", {
    className: "text-primary p-4"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "text-primary"
  }, "Hos Geldiniz !"), /*#__PURE__*/React.createElement("p", null, "Easy Point'e devam etmek i\xE7in hemen giri\u015F yap\u0131n."))), /*#__PURE__*/React.createElement(Col, {
    className: "col-5 align-self-end"
  }, /*#__PURE__*/React.createElement("img", {
    src: profileImg,
    alt: "",
    className: "img-fluid"
  })))), /*#__PURE__*/React.createElement(CardBody, {
    className: "pt-0"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Link, {
    to: "/"
  }, /*#__PURE__*/React.createElement("div", {
    className: "avatar-md profile-user-wid mb-4"
  }, /*#__PURE__*/React.createElement("span", {
    className: "avatar-title rounded-circle bg-light"
  }, /*#__PURE__*/React.createElement("img", {
    src: logo,
    alt: "",
    className: "rounded-circle",
    height: "50"
  }))))), /*#__PURE__*/React.createElement("div", {
    className: "p-2"
  }, props.phase === 1 ? /*#__PURE__*/React.createElement(AvForm, {
    className: "form-horizontal",
    onValidSubmit: function onValidSubmit(e, v) {
      props.handleValidSubmit(e, v);
    }
  }, props.error && props.error ? /*#__PURE__*/React.createElement(Alert, {
    color: "danger"
  }, JSON.stringify(props.error)) : null, /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(PhoneInput, {
    label: "Telefon",
    name: "phoneNumber",
    placeholder: "Telefon numaran\u0131z\u0131 yaz\u0131n"
  })), /*#__PURE__*/React.createElement("div", {
    className: "mt-3"
  }, /*#__PURE__*/React.createElement("button", {
    className: "btn " + ((_props$submitButtonSt = props.submitButtonStyle) != null ? _props$submitButtonSt : 'btn-primary') + " btn-block waves-effect waves-light",
    type: "submit"
  }, "\u015Eifre Al"))) : null, props.phase === 2 ? /*#__PURE__*/React.createElement(AvForm, {
    className: "form-horizontal",
    onValidSubmit: function onValidSubmit(e, v) {
      props.handleValidLoginSubmit(e, v);
    }
  }, props.error && props.error ? /*#__PURE__*/React.createElement(Alert, {
    color: "danger"
  }, JSON.stringify(props.error)) : null, /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "verificationCode",
    label: "Do\u011Frulama Kodu",
    value: "",
    className: "form-control",
    placeholder: "Do\u011Frulama kodunu girin",
    type: "text",
    errorMessage: "Do\u011Frulama kodunu girin.",
    required: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "mt-3"
  }, /*#__PURE__*/React.createElement("button", {
    className: "btn " + ((_props$submitButtonSt2 = props.submitButtonStyle) != null ? _props$submitButtonSt2 : 'btn-primary') + " btn-block waves-effect waves-light",
    type: "submit"
  }, "G\xF6nder"))) : null))), /*#__PURE__*/React.createElement("div", {
    className: "mt-5 text-center"
  }, props.hideRegisterUrl ? null : /*#__PURE__*/React.createElement("p", null, "Hesab\u0131n\u0131z yok mu ? ", /*#__PURE__*/React.createElement(Link, {
    to: "register",
    className: "font-weight-medium text-primary"
  }, " Kay\u0131t ol "), " "), /*#__PURE__*/React.createElement("p", null, "\xA9 ", new Date().getFullYear(), " EasyPoint. ", /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-heart text-danger"
  }), " EasyPoint taraf\u0131ndan geli\u015Ftirilmi\u015Ftir.")))))));
};

var Register = function Register(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "account-pages my-5 pt-sm-5"
  }, /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Row, {
    className: "justify-content-center"
  }, /*#__PURE__*/React.createElement(Col, {
    md: 8,
    lg: 6,
    xl: 5
  }, /*#__PURE__*/React.createElement(Card, {
    className: "overflow-hidden"
  }, /*#__PURE__*/React.createElement("div", {
    className: "bg-soft-primary"
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    className: "col-7"
  }, /*#__PURE__*/React.createElement("div", {
    className: "text-primary p-4"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "text-primary"
  }, "Kay\u0131t"), /*#__PURE__*/React.createElement("p", null, "Hemen hesab\u0131n\u0131z\u0131 alin."))), /*#__PURE__*/React.createElement(Col, {
    className: "col-5 align-self-end"
  }, /*#__PURE__*/React.createElement("img", {
    src: profileImg,
    alt: "",
    className: "img-fluid"
  })))), /*#__PURE__*/React.createElement(CardBody, {
    className: "pt-0"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Link, {
    to: "/"
  }, /*#__PURE__*/React.createElement("div", {
    className: "avatar-md profile-user-wid mb-4"
  }, /*#__PURE__*/React.createElement("span", {
    className: "avatar-title rounded-circle bg-light"
  }, /*#__PURE__*/React.createElement("img", {
    src: logo,
    alt: "",
    className: "rounded-circle",
    height: "50"
  }))))), /*#__PURE__*/React.createElement("div", {
    className: "p-2"
  }, /*#__PURE__*/React.createElement(AvForm, {
    className: "form-horizontal",
    onValidSubmit: function onValidSubmit(e, v) {
      props.handleValidSubmit(e, v);
    }
  }, props.user && props.user ? /*#__PURE__*/React.createElement(Alert, {
    color: "success"
  }, "Kullanici ba\u015Far\u0131yla olu\u015Fturuldu.") : null, props.registrationError && props.registrationError ? /*#__PURE__*/React.createElement(Alert, {
    color: "danger"
  }, props.registrationError) : null, /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xl: "6",
    sm: "6"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Label, {
    className: "card-radio-label mb-2"
  }, /*#__PURE__*/React.createElement(Input, {
    type: "radio",
    onClick: function onClick() {
      return props.setMembershipType(0);
    },
    name: "membershipType",
    id: "personal",
    className: "card-radio-input",
    defaultChecked: true
  }), /*#__PURE__*/React.createElement("div", {
    className: "card-radio"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-account font-size-24 text-primary align-middle mr-2"
  }), /*#__PURE__*/React.createElement("span", null, "Bireysel")))))), /*#__PURE__*/React.createElement(Col, {
    xl: "6",
    sm: "6"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Label, {
    className: "card-radio-label mb-2"
  }, /*#__PURE__*/React.createElement(Input, {
    type: "radio",
    onClick: function onClick() {
      return props.setMembershipType(1);
    },
    name: "membershipType",
    id: "personal",
    className: "card-radio-input"
  }), /*#__PURE__*/React.createElement("div", {
    className: "card-radio"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-domain font-size-24 text-primary align-middle mr-2"
  }), /*#__PURE__*/React.createElement("span", null, "Kurumsal")))))))), props.membershipType === 0 ? null : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "companyName",
    label: "\u015Eirket Ad\u0131",
    className: "form-control",
    placeholder: "\u015Eirket ad\u0131n\u0131 girin",
    type: "text",
    required: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "courtesyTitle",
    label: "\xDCnvan",
    className: "form-control",
    placeholder: "\xDCnvan girin",
    type: "text",
    required: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "taxID",
    label: "Vergi No",
    className: "form-control",
    placeholder: "Vergi no girin",
    type: "text",
    required: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "address",
    label: "Adres",
    className: "form-control",
    placeholder: "Adres girin",
    type: "text",
    required: true
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "email",
    label: "E-Posta",
    className: "form-control",
    placeholder: "E-Posta adresinizi girin",
    type: "email",
    required: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(PhoneInput, {
    label: "Telefon",
    name: "phone",
    placeholder: "Telefon numaran\u0131z\u0131 yaz\u0131n"
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "firstName",
    label: "Isim",
    type: "text",
    required: true,
    placeholder: "\u0130sminizi girin"
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "lastName",
    label: "Soy isim",
    type: "text",
    required: true,
    placeholder: "Soy isminizi girin"
  })), /*#__PURE__*/React.createElement("div", {
    className: "form-group"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "tckn",
    label: "TCKN",
    type: "text",
    required: true,
    placeholder: "TC Kimlik numaran\u0131z\u0131 girin"
  })), /*#__PURE__*/React.createElement("div", {
    className: "mt-4"
  }, /*#__PURE__*/React.createElement("button", {
    className: "btn btn-primary btn-block waves-effect waves-light",
    type: "submit"
  }, "Kay\u0131t")), /*#__PURE__*/React.createElement("div", {
    className: "mt-4 text-center"
  }, /*#__PURE__*/React.createElement("p", {
    className: "mb-0"
  }, "EasyPoint ", " ", /*#__PURE__*/React.createElement("a", {
    href: "/gizlilik_kosullari.pdf",
    target: "_blank",
    className: "text-primary"
  }, "gizlilik sozlesmesini,"), " ", /*#__PURE__*/React.createElement("a", {
    href: "/kullanim_kosullari.pdf",
    target: "_blank",
    className: "text-primary"
  }, "kullan\u0131m ko\u015Fullar\u0131n\u0131,"), " ", /*#__PURE__*/React.createElement("a", {
    href: "/KVKK.pdf",
    className: "text-primary"
  }, "KVKK s\xF6zle\u015Fmesini,"), " ", /*#__PURE__*/React.createElement("a", {
    href: "/mesafeli_satis_sozlesmesi.pdf",
    className: "text-primary"
  }, "mesafeli sat\u0131\u015F s\xF6zle\u015Fmesini"), " ", "okudum kabul ediyorum.")))))), /*#__PURE__*/React.createElement("div", {
    className: "mt-5 text-center"
  }, /*#__PURE__*/React.createElement("p", null, "Hesab\u0131n\u0131z var m\u0131 ?", " ", /*#__PURE__*/React.createElement(Link, {
    to: "/login",
    className: "font-weight-medium text-primary"
  }, " ", "Giri\u015F"), " "), /*#__PURE__*/React.createElement("p", null, "\xA9 ", new Date().getFullYear(), " EasyPoint.", " ", /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-heart text-danger"
  }), " EasyPoint taraf\u0131ndan geli\u015Ftirilmi\u015Ftir.")))))));
};

function getUserTypeTag(status) {
  switch (status) {
    case 0:
      return /*#__PURE__*/React.createElement("span", {
        to: "#",
        className: "badge badge-soft-primary font-size-11 m-1"
      }, "Bireysel");

    case 1:
      return /*#__PURE__*/React.createElement("span", {
        to: "#",
        className: "badge badge-soft-primary font-size-11 m-1"
      }, "Kurumsal");
  }
}

var UserRow = function UserRow(props) {
  var user = props.user;
  return /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, user.avatar === "Null" || user.avatar === '/path' || user.avatar === null ? /*#__PURE__*/React.createElement("div", {
    className: "avatar-xs"
  }, /*#__PURE__*/React.createElement("span", {
    className: "avatar-title rounded-circle"
  }, user.firstName.charAt(0))) : /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("img", {
    className: "rounded-circle avatar-xs",
    src: user.avatar,
    alt: ""
  }))), /*#__PURE__*/React.createElement("td", null, user.firstName), /*#__PURE__*/React.createElement("td", null, user.lastName), props.hideUserType ? null : /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("div", null, getUserTypeTag(user.userType))), /*#__PURE__*/React.createElement("td", null, user.phoneNumber), /*#__PURE__*/React.createElement("td", null, user.email), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("ul", {
    className: "list-inline font-size-20 contact-links mb-0"
  }, /*#__PURE__*/React.createElement("li", {
    className: "list-inline-item px-2"
  }, /*#__PURE__*/React.createElement(Link, {
    to: props.userDetailPath + "/" + user.id,
    id: "userDetail" + user.id
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-info-circle"
  }), /*#__PURE__*/React.createElement(UncontrolledTooltip, {
    placement: "top",
    target: "userDetail" + user.id
  }, "\u0130ncele"))))));
};

var UserTable = function UserTable(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "table-responsive"
  }, props.data === null ? /*#__PURE__*/React.createElement(React.Fragment, null, "Y\xFCkleniyor..") : /*#__PURE__*/React.createElement(Table, {
    className: "table-centered table-nowrap table-hover"
  }, /*#__PURE__*/React.createElement("thead", {
    className: "thead-light"
  }, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", {
    scope: "col",
    style: {
      width: "70px"
    }
  }, "#"), /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "\u0130sim"), /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "Soyisim"), props.hideUserType ? null : /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "Kullan\u0131c\u0131 Tipi"), /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "Telefon"), /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "E-Posta"), /*#__PURE__*/React.createElement("th", {
    scope: "col"
  }, "\u0130\u015Flem"))), /*#__PURE__*/React.createElement("tbody", null, props.data.map(function (user) {
    return /*#__PURE__*/React.createElement(UserRow, {
      key: "_user__" + user.id,
      user: user,
      hideUserType: props.hideUserType,
      userDetailPath: props.userDetailPath
    });
  })))));
};

var Breadcrumb = function Breadcrumb(props) {
  return /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xs: "12"
  }, /*#__PURE__*/React.createElement("div", {
    className: "page-title-box d-flex align-items-center justify-content-between"
  }, /*#__PURE__*/React.createElement("h4", {
    className: "mb-0 font-size-18"
  }, props.title), /*#__PURE__*/React.createElement("div", {
    className: "page-title-right"
  }, /*#__PURE__*/React.createElement("ol", {
    className: "breadcrumb m-0"
  }, /*#__PURE__*/React.createElement(BreadcrumbItem, null, /*#__PURE__*/React.createElement(Link, {
    to: "#"
  }, props.title)), /*#__PURE__*/React.createElement(BreadcrumbItem, {
    active: true
  }, /*#__PURE__*/React.createElement(Link, {
    to: "#"
  }, props.breadcrumbItem)))))));
};

var UserList = function UserList(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "page-content"
  }, /*#__PURE__*/React.createElement(Container, {
    fluid: true
  }, /*#__PURE__*/React.createElement(Breadcrumb, {
    title: "Kullan\u0131c\u0131lar",
    breadcrumbItem: "Kullan\u0131c\u0131 Listesi"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    lg: "12"
  }, /*#__PURE__*/React.createElement(Card, null, /*#__PURE__*/React.createElement(CardBody, null, props.hideCreateUserButton ? null : /*#__PURE__*/React.createElement(Row, {
    className: "mb-2"
  }, /*#__PURE__*/React.createElement(Col, {
    sm: "4"
  }), /*#__PURE__*/React.createElement(Col, {
    sm: "8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "text-sm-right"
  }, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return props.newUserClick();
    },
    type: "button",
    color: "success",
    className: "btn-rounded waves-effect waves-light mb-2 mr-2"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-plus mr-1"
  }), " Yeni Kullan\u0131c\u0131")))), props.status === "loading" ? /*#__PURE__*/React.createElement(React.Fragment, null, "Y\xFCkleniyor..") : /*#__PURE__*/React.createElement(UserTable, {
    data: props.data,
    hideUserType: props.hideUserType,
    userDetailPath: props.userDetailPath
  }))))))));
};

var UserForm = function UserForm(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "page-content"
  }, /*#__PURE__*/React.createElement(Container, {
    fluid: true
  }, /*#__PURE__*/React.createElement(Breadcrumb, {
    title: "Kullan\u0131c\u0131",
    breadcrumbItem: "Kullan\u0131c\u0131lar"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Card, null, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardTitle, null, "Kullan\u0131c\u0131 Formu"), /*#__PURE__*/React.createElement(CardSubtitle, {
    className: "mb-3"
  }, "EasyPoint ", /*#__PURE__*/React.createElement("code", null, "kullan\u0131c\u0131"), " ekleme i\u015Flemini buradan yapabilirsin."), /*#__PURE__*/React.createElement(AvForm, {
    onValidSubmit: function onValidSubmit(e, v) {
      return props.handleValidSubmit(e, v);
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "\u0130sim"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "firstName",
    type: "text",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 ismini girin",
    errorMessage: "Kullan\u0131c\u0131 ismini girin",
    required: true
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "Soyisim"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "lastName",
    type: "text",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 soyismini girin",
    errorMessage: "Kullan\u0131c\u0131 soyismini girin",
    required: true
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "E-Posta"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "email",
    type: "email",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 e-posta adresini girin",
    errorMessage: "Kullan\u0131c\u0131 e-posta adresini girin",
    validate: {
      required: {
        value: true
      },
      email: {
        value: true
      }
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "Telefon"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "phoneNumber",
    type: "text",
    className: "form-control",
    placeholder: "+905001231212",
    errorMessage: "Kullan\u0131c\u0131 telefon numarasini girin",
    validate: {
      required: {
        value: true
      }
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "TCKN"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "tckn",
    type: "text",
    className: "form-control",
    placeholder: "TC Kimlik Numaras\u0131",
    errorMessage: "Kullan\u0131c\u0131 TCKN girin",
    validate: {
      required: {
        value: true
      }
    }
  }))), props.showRoles ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("select", {
    onChange: function onChange(e) {
      return props.roleChangedHandler(e.target.value);
    },
    className: "form-control select2",
    title: "Rol"
  }, /*#__PURE__*/React.createElement("option", {
    value: "0"
  }, "Rol se\xE7"), props.roles.map(function (role) {
    return /*#__PURE__*/React.createElement("option", {
      key: "role-option-" + role.value,
      value: role.value
    }, role.name);
  }))) : null, props.error ? /*#__PURE__*/React.createElement(Alert, {
    color: "danger"
  }, props.error.message) : null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    md: 6
  }), /*#__PURE__*/React.createElement(Col, {
    md: 6
  }, /*#__PURE__*/React.createElement("div", {
    className: "text sm-right"
  }, /*#__PURE__*/React.createElement("button", {
    className: "btn btn-success btn-block waves-effect waves-light",
    type: "submit"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-truck-fast mr-1"
  }), " Kaydet"))))))))))));
};

var UserEditForm = function UserEditForm(props) {
  var _useState = useState(''),
      id = _useState[0],
      setId = _useState[1];

  var _useState2 = useState(''),
      firstName = _useState2[0],
      setFirstName = _useState2[1];

  var _useState3 = useState(''),
      lastName = _useState3[0],
      setLastName = _useState3[1];

  var _useState4 = useState(''),
      email = _useState4[0],
      setEmail = _useState4[1];

  var _useState5 = useState(''),
      phoneNumber = _useState5[0],
      setPhoneNumber = _useState5[1];

  var _useState6 = useState(''),
      tckn = _useState6[0],
      setTckn = _useState6[1];

  useEffect(function () {
    if (props.data) {
      var data = props.data;
      setId(data.id);
      setFirstName(data.firstName);
      setLastName(data.lastName);
      setEmail(data.email);
      setPhoneNumber(data.phoneNumber);
      setTckn(data.tckn);
    }
  }, [props.data]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "page-content"
  }, /*#__PURE__*/React.createElement(Container, {
    fluid: true
  }, /*#__PURE__*/React.createElement(Breadcrumb, {
    title: "Kullan\u0131c\u0131",
    breadcrumbItem: "Kullan\u0131c\u0131lar"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Card, null, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(CardTitle, null, "Kullan\u0131c\u0131 Formu"), /*#__PURE__*/React.createElement(CardSubtitle, {
    className: "mb-3"
  }, "EasyPoint ", /*#__PURE__*/React.createElement("code", null, "kullan\u0131c\u0131"), " d\xFCzenleme i\u015Flemini buradan yapabilirsin."), /*#__PURE__*/React.createElement(AvForm, {
    onValidSubmit: function onValidSubmit(e, v) {
      return props.handleValidSubmit(e, v);
    }
  }, /*#__PURE__*/React.createElement(AvField, {
    name: "id",
    type: "hidden",
    value: id
  }), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "\u0130sim"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    value: firstName,
    name: "firstName",
    type: "text",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 ismini girin",
    errorMessage: "Kullan\u0131c\u0131 ismini girin",
    required: true
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "Soyisim"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    value: lastName,
    name: "lastName",
    type: "text",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 soyismini girin",
    errorMessage: "Kullan\u0131c\u0131 soyismini girin",
    required: true
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "E-Posta"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    value: email,
    name: "email",
    type: "email",
    className: "form-control",
    placeholder: "Kullan\u0131c\u0131 e-posta adresini girin",
    errorMessage: "Kullan\u0131c\u0131 e-posta adresini girin",
    validate: {
      required: {
        value: true
      },
      email: {
        value: true
      }
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "Telefon"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    value: phoneNumber,
    name: "phoneNumber",
    type: "text",
    className: "form-control",
    placeholder: "+905001231212",
    errorMessage: "Kullan\u0131c\u0131 telefon numaras\u0131n\u0131 girin",
    validate: {
      required: {
        value: true
      }
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: "form-group row"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: "example-text-input",
    className: "col-md-2 col-form-label"
  }, "TCKN"), /*#__PURE__*/React.createElement("div", {
    className: "col-md-10"
  }, /*#__PURE__*/React.createElement(AvField, {
    value: tckn,
    name: "tckn",
    type: "text",
    className: "form-control",
    placeholder: "TC Kimlik Numaras\u0131",
    errorMessage: "Kullan\u0131c\u0131 TCKN girin",
    validate: {
      required: {
        value: true
      }
    }
  }))), props.error ? /*#__PURE__*/React.createElement(Alert, {
    color: "danger"
  }, props.error.message) : null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    md: 6
  }), /*#__PURE__*/React.createElement(Col, {
    md: 6
  }, /*#__PURE__*/React.createElement("div", {
    className: "text sm-right"
  }, /*#__PURE__*/React.createElement("button", {
    className: "btn btn-success btn-block waves-effect waves-light",
    type: "submit"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-truck-fast mr-1"
  }), " Kaydet"))))))))))));
};

var getPaymentBadge = function getPaymentBadge(status) {
  var badgeClass = 'success';
  var badgeText = '';

  switch (status) {
    case 0:
      badgeClass = 'warning';
      badgeText = 'Beklemede';
      break;

    case 1:
      badgeClass = 'success';
      badgeText = 'Başarılı';
      break;

    case 2:
      badgeClass = 'danger';
      badgeText = 'Başarısız';
      break;

    case 3:
      badgeClass = 'danger';
      badgeText = 'İptal';
      break;

    default:
      badgeClass = 'warning';
      break;
  }

  return /*#__PURE__*/React.createElement(Badge, {
    className: "font-size-12 badge-soft-" + badgeClass,
    color: badgeClass,
    pill: true
  }, badgeText);
};

var getOrderBadge = function getOrderBadge(status) {
  var badgeClass = 'success';
  var badgeText = '';

  switch (status) {
    case 0:
      badgeClass = 'warning';
      badgeText = 'Taslak';
      break;

    case 1:
      badgeClass = 'warning';
      badgeText = 'İşlem Başarılı';
      break;

    case 2:
      badgeClass = 'danger';
      badgeText = 'Başarısız';
      break;

    case 3:
      badgeClass = 'danger';
      badgeText = 'İptal';
      break;

    case 4:
      badgeClass = 'warning';
      badgeText = 'Paket Teslim Alındı';
      break;

    case 5:
      badgeClass = 'success';
      badgeText = 'Paket Teslim Edildi';
      break;

    default:
      badgeClass = 'warning';
      break;
  }

  return /*#__PURE__*/React.createElement(Badge, {
    className: "font-size-12 badge-soft-" + badgeClass,
    color: badgeClass,
    pill: true
  }, badgeText);
};

var getPaymentIcon = function getPaymentIcon(status) {
  var icon = '';
  var iconText = '';

  switch (status) {
    case 0:
      icon = 'fa-cc-mastercard';
      iconText = 'Kredi Karti';
      break;

    case 1:
      icon = 'fas fa-money-bill-alt';
      iconText = 'Cari';
      break;
  }

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("i", {
    className: "fab " + icon + " mr-1"
  }), " ", iconText);
};

var OrdersRow = function OrdersRow(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("tr", {
    key: "_order_" + props.rowId
  }, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(Link, {
    to: "#",
    className: "text-body font-weight-bold"
  }, "#SN", props.data.id)), /*#__PURE__*/React.createElement("td", null, props.data.receiver), /*#__PURE__*/React.createElement("td", null, Moment(props.data.orderDate).format('DD.MM.YYYY hh:mm')), /*#__PURE__*/React.createElement("td", null, props.data.departure), /*#__PURE__*/React.createElement("td", null, props.data.arrival), /*#__PURE__*/React.createElement("td", null, getPaymentIcon(props.data.paymentType)), /*#__PURE__*/React.createElement("td", null, getPaymentBadge(props.data.paymentStatus)), /*#__PURE__*/React.createElement("td", null, getOrderBadge(props.data.orderStatus)), /*#__PURE__*/React.createElement("td", null, props.data.price), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(Button, {
    type: "button",
    color: "primary",
    className: "btn-sm btn-rounded",
    onClick: function onClick() {
      props.detailViewClick(props.data.id);
    }
  }, "Sipari\u015F Detay\u0131")), props.actionAllowed ? /*#__PURE__*/React.createElement("td", null, props.data.orderStatus === 1 || props.data.orderStatus === 5 ? /*#__PURE__*/React.createElement(Link, {
    to: "#",
    onClick: function onClick() {
      return props.cancelOrderClick(props.data.id);
    },
    className: "text-danger"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-close font-size-18 mr-3",
    id: "deletetooltip"
  }), /*#__PURE__*/React.createElement(UncontrolledTooltip, {
    placement: "top",
    target: "deletetooltip"
  }, "\u0130ptal Et")) : null) : null));
};

var OrderTable = function OrderTable(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "table-responsive"
  }, /*#__PURE__*/React.createElement(Table, {
    className: "table table-centered table-nowrap"
  }, /*#__PURE__*/React.createElement("thead", {
    className: "thead-light"
  }, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, "Sipari\u015F No"), /*#__PURE__*/React.createElement("th", null, "Al\u0131c\u0131"), /*#__PURE__*/React.createElement("th", null, "Tarih"), /*#__PURE__*/React.createElement("th", null, "Nereden"), /*#__PURE__*/React.createElement("th", null, "Nereye"), /*#__PURE__*/React.createElement("th", null, "\xD6deme Y\xF6ntemi"), /*#__PURE__*/React.createElement("th", null, "Sipari\u015F Durumu"), /*#__PURE__*/React.createElement("th", null, "\xD6deme Durumu"), /*#__PURE__*/React.createElement("th", null, "Tutar"), /*#__PURE__*/React.createElement("th", null, "Detay"), props.actionAllowed ? /*#__PURE__*/React.createElement("th", null, "Aksiyon") : null)), /*#__PURE__*/React.createElement("tbody", null, props.orders === null ? /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("span", null, "Y\xFCkleniyor.."))) : /*#__PURE__*/React.createElement(React.Fragment, null, props.orders.map(function (order, key) {
    return /*#__PURE__*/React.createElement(OrdersRow, {
      key: "orders-" + key,
      data: order,
      rowId: key,
      detailViewClick: props.detailViewClick,
      cancelOrderClick: props.cancelOrderClick,
      actionAllowed: props.actionAllowed
    });
  }))))));
};

var Orders = function Orders(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "page-content"
  }, /*#__PURE__*/React.createElement(Container, {
    fluid: true
  }, /*#__PURE__*/React.createElement(Breadcrumb, {
    title: "Sipari\u015F",
    breadcrumbItem: "Ge\xE7mi\u015F Sipari\u015Fler"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xs: "12"
  }, /*#__PURE__*/React.createElement(Card, null, /*#__PURE__*/React.createElement(CardBody, null, props.showNewOrderButton ? /*#__PURE__*/React.createElement(Row, {
    className: "mb-2"
  }, /*#__PURE__*/React.createElement(Col, {
    sm: "4"
  }), /*#__PURE__*/React.createElement(Col, {
    sm: "8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "text-sm-right"
  }, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return props.newOrderClick();
    },
    type: "button",
    color: "success",
    className: "btn-rounded waves-effect waves-light mb-2 mr-2"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-plus mr-1"
  }), " Yeni Kargo")))) : null, /*#__PURE__*/React.createElement(OrderTable, {
    orders: props.data,
    detailViewClick: props.detailViewClick,
    cancelOrderClick: props.cancelOrderClick,
    actionAllowed: props.actionAllowed
  }))))))), props.cancelOrderId === 0 ? null : /*#__PURE__*/React.createElement(SweetAlert, {
    title: "Emin misin?",
    warning: true,
    showCancel: true,
    confirmBtnBsStyle: "success",
    confirmBtnText: "Evet",
    cancelBtnBsStyle: "danger",
    cancelBtnText: "Vazge\xE7",
    onCancel: function onCancel() {
      props.cancelOrderClick(0);
    },
    onConfirm: function onConfirm() {
      props.cancelOrder({
        id: props.cancelOrderId
      });
      props.cancelOrderClick(0);
    }
  }, "Sipari\u015F iptal edilecek. Bu i\u015Flem geri al\u0131namaz."));
};

var orderStatusList = ['Taslak', 'Sipariş Verildi', 'Hata', 'İptal Edildi', 'Paket Teslim Alındı', 'Paket Teslim Edildi'];
var paymentStatusList = ['Beklemede', 'Başarılı', 'Hata', 'İptal Edildi'];
var paymentTypeList = ['Kredi Kartı', 'Cari'];

var OrderDetail = function OrderDetail(props) {
  var data = props.data;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "page-content"
  }, /*#__PURE__*/React.createElement(Container, {
    fluid: true
  }, /*#__PURE__*/React.createElement(Breadcrumb, {
    title: "Sipari\u015F Detay",
    breadcrumbItem: "Sipari\u015Fler"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Card, null, status === "loading" || props.data === null ? /*#__PURE__*/React.createElement(React.Fragment, null, "Y\xFCkleniyor...") : /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xl: "6"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mt-4 mt-xl-3"
  }, /*#__PURE__*/React.createElement("h4", {
    className: "mt-1 mb-3"
  }, "Sipari\u015F Detay\u0131"), props.isAdmin ? /*#__PURE__*/React.createElement(Link, {
    to: data.isCompanyUser ? "/corporate-customer/" + data.companyId : "/individual-customer/" + data.userId,
    className: "card-link"
  }, "M\xFC\u015Fteri Profiline Git") : null, /*#__PURE__*/React.createElement("p", {
    className: "text-muted mb-4"
  }, Moment(data.orderDate).format('DD.MM.YYYY - hh:mm')), /*#__PURE__*/React.createElement("p", {
    className: "text-muted mb-4"
  }, "Ger\xE7ekle\u015Ftirilen sipari\u015F ile ilgili t\xFCm bilgilere buradan ula\u015Fabilirsiniz."), /*#__PURE__*/React.createElement(Row, {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Col, {
    md: "6"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-package font-size-16 align-middle text-primary mr-1"
  }), " Sipari\u015F Durumu: ", orderStatusList[data.orderStatus]), /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-money font-size-16 align-middle text-primary mr-1"
  }), " \xD6deme Durumu: ", paymentStatusList[data.paymentStatus]), /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-credit-card-front font-size-16 align-middle text-primary mr-1"
  }), " \xD6deme Tipi: ", paymentTypeList[data.paymentType]))), /*#__PURE__*/React.createElement(Col, {
    md: "6"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-hash font-size-16 align-middle text-primary mr-1"
  }), " Sipari\u015F no: #SK", data.orderId), /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-hash font-size-16 align-middle text-primary mr-1"
  }), " \xD6deme no: #PK", data.paymentId), /*#__PURE__*/React.createElement("p", {
    className: "text-muted"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-hash font-size-16 align-middle text-primary mr-1"
  }), " Kurye: ", data.courier)))), /*#__PURE__*/React.createElement("h5", {
    className: "mb-4"
  }, "Tutar : ", /*#__PURE__*/React.createElement("span", {
    className: "text-muted mr-2"
  }), " ", /*#__PURE__*/React.createElement("b", null, data.price, " TL"))))), /*#__PURE__*/React.createElement("div", {
    className: "mt-5"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "mb-3"
  }, "Adres Detaylar\u0131 :"), /*#__PURE__*/React.createElement("div", {
    className: "table-responsive"
  }, /*#__PURE__*/React.createElement(Table, {
    className: "table mb-0 table-bordered"
  }, /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", {
    scope: "row",
    style: {
      width: "400px"
    }
  }, "G\xF6nderen"), /*#__PURE__*/React.createElement("td", null, data.senderName)), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", {
    scope: "row"
  }, "G\xF6nderen Adres"), /*#__PURE__*/React.createElement("td", null, data.senderAddress)), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", {
    scope: "row",
    style: {
      width: "400px"
    }
  }, "G\xF6nderilen"), /*#__PURE__*/React.createElement("td", null, data.receiverName)), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", {
    scope: "row"
  }, "G\xF6nderilen Adres"), /*#__PURE__*/React.createElement("td", null, data.receiverAddress)))))))))))));
};

var RightSideBarComponent = function RightSideBarComponent(_ref) {
  var props = _ref.props,
      showRightSidebarAction = _ref.showRightSidebarAction,
      changeLayoutWidth = _ref.changeLayoutWidth,
      changeTopbarTheme = _ref.changeTopbarTheme,
      changeSidebarType = _ref.changeSidebarType,
      changeSidebarTheme = _ref.changeSidebarTheme;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "right-bar"
  }, /*#__PURE__*/React.createElement(SimpleBar, {
    style: {
      height: "900px"
    }
  }, /*#__PURE__*/React.createElement("div", {
    "data-simplebar": true,
    className: "h-100"
  }, /*#__PURE__*/React.createElement("div", {
    className: "rightbar-title px-3 py-4"
  }, /*#__PURE__*/React.createElement(Link, {
    to: "#",
    onClick: function onClick(e) {
      e.preventDefault();
      showRightSidebarAction(false);
    },
    className: "right-bar-toggle float-right"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-close noti-icon"
  })), /*#__PURE__*/React.createElement("h5", {
    className: "m-0"
  }, "Ayarlar")), /*#__PURE__*/React.createElement("hr", {
    className: "my-0"
  }), /*#__PURE__*/React.createElement("div", {
    className: "p-4"
  }, /*#__PURE__*/React.createElement("hr", {
    className: "mt-1"
  }), /*#__PURE__*/React.createElement("div", {
    className: "radio-toolbar"
  }, /*#__PURE__*/React.createElement("span", {
    className: "mb-2 d-block",
    id: "radio-title"
  }, "Geni\u015Flik Ayar\u0131"), /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "radioFluid",
    name: "radioWidth",
    value: "fluid",
    checked: props.layoutWidth !== "boxed",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeLayoutWidth(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "radioFluid"
  }, "Geni\u015F"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "radioBoxed",
    name: "radioWidth",
    value: "boxed",
    checked: props.layoutWidth === "boxed",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeLayoutWidth(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "radioBoxed"
  }, "Kutu")), /*#__PURE__*/React.createElement("hr", {
    className: "mt-1"
  }), /*#__PURE__*/React.createElement("div", {
    className: "radio-toolbar"
  }, /*#__PURE__*/React.createElement("span", {
    className: "mb-2 d-block",
    id: "radio-title"
  }, "\xDCst Alan Ayar\u0131"), /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "radioThemeLight",
    name: "radioTheme",
    value: "light",
    checked: props.topbarTheme === "light",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeTopbarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "radioThemeLight"
  }, "A\xE7\u0131k"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "radioThemeDark",
    name: "radioTheme",
    value: "dark",
    checked: props.topbarTheme === "dark",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeTopbarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "radioThemeDark"
  }, "Koyu"), "   ", props.layoutType === "vertical" ? null : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "radioThemeColored",
    name: "radioTheme",
    value: "colored",
    checked: props.topbarTheme === "colored",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeTopbarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "radioThemeColored"
  }, "Renkli"))), props.layoutType === "vertical" ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("hr", {
    className: "mt-1"
  }), /*#__PURE__*/React.createElement("div", {
    className: "radio-toolbar"
  }, /*#__PURE__*/React.createElement("span", {
    className: "mb-2 d-block",
    id: "radio-title"
  }, "Sol Menu Ayarlar\u0131 "), /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "sidebarDefault",
    name: "sidebarType",
    value: "default",
    checked: props.leftSideBarType === "default",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarType(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "sidebarDefault"
  }, "Normal"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "sidebarCompact",
    name: "sidebarType",
    value: "compact",
    checked: props.leftSideBarType === "compact",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarType(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "sidebarCompact"
  }, "K\xFC\xE7\xFCk"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "sidebarIcon",
    name: "sidebarType",
    value: "icon",
    checked: props.leftSideBarType === "icon",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarType(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "sidebarIcon"
  }, "\u0130kon")), /*#__PURE__*/React.createElement("hr", {
    className: "mt-1"
  }), /*#__PURE__*/React.createElement("div", {
    className: "radio-toolbar"
  }, /*#__PURE__*/React.createElement("span", {
    className: "mb-2 d-block",
    id: "radio-title"
  }, "Sol Men\xFC Rengi"), /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "leftsidebarThemelight",
    name: "leftsidebarTheme",
    value: "light",
    checked: props.leftSideBarTheme === "light",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "leftsidebarThemelight"
  }, "A\xE7\u0131k"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "leftsidebarThemedark",
    name: "leftsidebarTheme",
    value: "dark",
    checked: props.leftSideBarTheme === "dark",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "leftsidebarThemedark"
  }, "Koyu"), "   ", /*#__PURE__*/React.createElement("input", {
    type: "radio",
    id: "leftsidebarThemecolored",
    name: "leftsidebarTheme",
    value: "colored",
    checked: props.leftSideBarTheme === "colored",
    onChange: function onChange(e) {
      if (e.target.checked) {
        changeSidebarTheme(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "leftsidebarThemecolored"
  }, "Renkli")), /*#__PURE__*/React.createElement("hr", {
    className: "mt-1"
  })) : null)))), /*#__PURE__*/React.createElement("div", {
    className: "rightbar-overlay"
  }));
};

var ProfileMenu = function ProfileMenu(props) {
  var _useState = useState(false),
      menu = _useState[0],
      setMenu = _useState[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Dropdown, {
    isOpen: menu,
    toggle: function toggle() {
      return setMenu(!menu);
    },
    className: "d-inline-block"
  }, /*#__PURE__*/React.createElement(DropdownToggle, {
    className: "btn header-item waves-effect",
    id: "page-header-user-dropdown",
    tag: "button"
  }, /*#__PURE__*/React.createElement("img", {
    className: "rounded-circle header-profile-user",
    src: user1,
    alt: "Header Avatar"
  }), /*#__PURE__*/React.createElement("span", {
    className: "d-none d-xl-inline-block ml-2 mr-1"
  }, props.username), /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-chevron-down d-none d-xl-inline-block"
  })), /*#__PURE__*/React.createElement(DropdownMenu, {
    right: true
  }, /*#__PURE__*/React.createElement(Link, {
    to: "/logout",
    className: "dropdown-item"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-power-off font-size-16 align-middle mr-1 text-danger"
  }), /*#__PURE__*/React.createElement("span", null, props.t('Logout'))))));
};

var ProfileMenuComponent = withRouter(withTranslation()(ProfileMenu));

var currentUser = function currentUser() {
  var ls = localStorage.getItem('authUser');
  if (ls === null) return null;
  var user = JSON.parse(ls);
  return user;
};

var Welcome = function Welcome(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Card, {
    className: "overflow-hidden"
  }, /*#__PURE__*/React.createElement("div", {
    className: "bg-soft-primary"
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xs: "7"
  }, /*#__PURE__*/React.createElement("div", {
    className: "text-primary p-3"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "text-primary"
  }, "Ho\u015F Geldiniz !"), /*#__PURE__*/React.createElement("p", null, "Easy Point"))), /*#__PURE__*/React.createElement(Col, {
    xs: "5",
    className: "align-self-end"
  }, /*#__PURE__*/React.createElement("img", {
    src: profileImg,
    alt: "",
    className: "img-fluid"
  })))), /*#__PURE__*/React.createElement(CardBody, {
    className: "pt-0"
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    sm: "4"
  }, /*#__PURE__*/React.createElement("div", {
    className: "avatar-md profile-user-wid mb-4"
  }, /*#__PURE__*/React.createElement("img", {
    src: user1,
    alt: "",
    className: "img-thumbnail rounded-circle"
  })), /*#__PURE__*/React.createElement("h5", {
    className: "font-size-15 text-truncate"
  }, currentUser().name)), /*#__PURE__*/React.createElement(Col, {
    sm: "8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pt-4"
  }, status === "loading" ? null : /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, {
    xs: "6"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "font-size-15"
  }, props.data.orderCount), /*#__PURE__*/React.createElement("p", {
    className: "text-muted mb-0"
  }, "Sipari\u015F")), /*#__PURE__*/React.createElement(Col, {
    xs: "6"
  }, /*#__PURE__*/React.createElement("h5", {
    className: "font-size-15"
  }, props.data.totalExpense, " TL"), /*#__PURE__*/React.createElement("p", {
    className: "text-muted mb-0"
  }, "Cari"))), /*#__PURE__*/React.createElement("div", {
    className: "mt-4"
  }, props.orderVisible ? /*#__PURE__*/React.createElement(Link, {
    to: "/order",
    className: "btn btn-primary waves-effect waves-light btn-sm"
  }, "Kargom Var ", /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-arrow-right ml-1"
  })) : null)))))));
};

var MiniCard = function MiniCard(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Col, {
    md: "4"
  }, /*#__PURE__*/React.createElement(Card, {
    className: "mini-stats-wid"
  }, /*#__PURE__*/React.createElement(CardBody, null, /*#__PURE__*/React.createElement(Media, null, /*#__PURE__*/React.createElement(Media, {
    body: true
  }, /*#__PURE__*/React.createElement("p", {
    className: "text-muted font-weight-medium"
  }, props.title), /*#__PURE__*/React.createElement("h4", {
    className: "mb-0"
  }, props.text)), /*#__PURE__*/React.createElement("div", {
    className: "mini-stat-icon avatar-sm align-self-center rounded-circle bg-primary"
  }, /*#__PURE__*/React.createElement("span", {
    className: "avatar-title"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx " + props.iconClass + " font-size-24"
  }))))))));
};

var NotificationDropdown = function NotificationDropdown(props) {
  var _useState = useState(false),
      menu = _useState[0],
      setMenu = _useState[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Dropdown, {
    isOpen: menu,
    toggle: function toggle() {
      return setMenu(!menu);
    },
    className: "dropdown d-inline-block",
    tag: "li"
  }, /*#__PURE__*/React.createElement(DropdownToggle, {
    className: "btn header-item noti-icon waves-effect",
    tag: "button",
    id: "page-header-notifications-dropdown"
  }, /*#__PURE__*/React.createElement("i", {
    className: "bx bx-bell bx-tada"
  })), /*#__PURE__*/React.createElement(DropdownMenu, {
    className: "dropdown-menu dropdown-menu-lg p-0",
    right: true
  }, /*#__PURE__*/React.createElement("div", {
    className: "p-3"
  }, /*#__PURE__*/React.createElement(Row, {
    className: "align-items-center"
  }, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement("h6", {
    className: "m-0"
  }, " ", props.t('Notifications'), " ")), /*#__PURE__*/React.createElement("div", {
    className: "col-auto"
  }, /*#__PURE__*/React.createElement("a", {
    href: props.viewAllUrl,
    className: "small"
  }, " ", props.t("View all"))))), /*#__PURE__*/React.createElement(SimpleBar, {
    style: {
      height: "230px"
    }
  }, props.data !== undefined || props.data !== null ? props.data.map(function (announcement) {
    return /*#__PURE__*/React.createElement(Link, {
      key: "announce-" + announcement.id,
      to: "" + props.viewDetailUrlPattern + announcement.id,
      className: "text-reset notification-item"
    }, /*#__PURE__*/React.createElement("div", {
      className: "media"
    }, /*#__PURE__*/React.createElement("div", {
      className: "avatar-xs mr-3"
    }, /*#__PURE__*/React.createElement("span", {
      className: "avatar-title bg-primary rounded-circle font-size-16"
    }, /*#__PURE__*/React.createElement("i", {
      className: "bx bx-cart"
    }))), /*#__PURE__*/React.createElement("div", {
      className: "media-body"
    }, /*#__PURE__*/React.createElement("h6", {
      className: "mt-0 mb-1"
    }, announcement.title.substring(0, 25)), /*#__PURE__*/React.createElement("div", {
      className: "font-size-12 text-muted"
    }, /*#__PURE__*/React.createElement("p", {
      className: "mb-1"
    }, announcement.body.substring(0, 60) + ".."), /*#__PURE__*/React.createElement("p", {
      className: "mb-0"
    }, /*#__PURE__*/React.createElement("i", {
      className: "mdi mdi-clock-outline"
    }), " ", Moment(announcement.date).format('DD-MM-YYYY'), " ")))));
  }) : null), /*#__PURE__*/React.createElement("div", {
    className: "p-2 border-top"
  }, /*#__PURE__*/React.createElement(Link, {
    className: "btn btn-sm btn-link font-size-14 btn-block text-center",
    to: props.viewAllUrl
  }, " ", props.t('View all'), " ")))));
};

var NotificationDropdownComponent = withTranslation()(NotificationDropdown);

var EditableSelect = function EditableSelect(props) {
  var onSubmitHandler = function onSubmitHandler(v) {
    var result = props.data.indexOf(v);
    props.onSubmit(result);
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Editable, {
    initialValue: props.data[props.value],
    alwaysEditing: false,
    className: null,
    disable: false,
    editText: "D\xFCzenle",
    id: null,
    isValueClickable: false,
    label: null,
    mode: "inline",
    onSubmit: onSubmitHandler,
    onValidated: null,
    options: props.data,
    placement: "top",
    showText: true,
    type: "select",
    validate: null
  }));
};

var TouchSpin = function TouchSpin(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Form, {
    key: props.key
  }, /*#__PURE__*/React.createElement(FormGroup, {
    className: "mb-0"
  }, /*#__PURE__*/React.createElement(InputGroup, null, /*#__PURE__*/React.createElement("div", {
    className: "input-group-append",
    onClick: function onClick() {
      props.changeValue(props.value - 1);
    }
  }, /*#__PURE__*/React.createElement(Button, {
    type: "button",
    color: "primary"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-minus"
  }))), /*#__PURE__*/React.createElement("input", {
    type: "number",
    className: "form-control",
    value: props.value,
    placeholder: "number",
    readOnly: true
  }), /*#__PURE__*/React.createElement("div", {
    className: "input-group-append",
    onClick: function onClick() {
      props.changeValue(props.value + 1);
    }
  }, /*#__PURE__*/React.createElement(Button, {
    type: "button",
    color: "primary"
  }, /*#__PURE__*/React.createElement("i", {
    className: "mdi mdi-plus"
  })))))));
};

var SwitchInput = function SwitchInput(props) {
  var uid = uuid();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "custom-control custom-switch mb-2",
    dir: "ltr"
  }, /*#__PURE__*/React.createElement("input", {
    type: "checkbox",
    className: "custom-control-input",
    id: uid,
    checked: props.value
  }), /*#__PURE__*/React.createElement("label", {
    className: "custom-control-label",
    htmlFor: uid,
    onClick: function onClick(e) {
      props.toggleSwitch(!props.value);
    }
  }, props.text)));
};

// A type of promise-like that resolves synchronously and supports only one observer

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

process.env.NODE_TLS_REJECT_UNAUTHORIZED = '0';
var instance = axios.create({
  baseURL: process.env.REACT_APP_APIURL,
  headers: {
    'Content-Type': 'application/json',
    'Access-Control-Allow-Origin': '*'
  }
});
instance.interceptors.request.use(function (config) {
  try {
    if (config.baseURL && config.headers.Authorization === undefined) {
      var token = JSON.parse(localStorage.getItem('authUser')).token;

      if (token !== undefined && token !== null && token !== '') {
        config.headers.Authorization = "Bearer " + token;
      }
    }

    return Promise.resolve(config);
  } catch (e) {
    return Promise.reject(e);
  }
}, function (error) {
  return Promise.reject(error);
});
instance.interceptors.response.use(function (response) {
  return response;
}, function (error) {
  if (401 === error.response.status) window.location = '/login';else return Promise.reject(error);
});

var loginpost = function loginpost(url, data) {
  try {
    var ins = axios.create({
      baseURL: process.env.REACT_APP_APIURL,
      headers: {
        'Content-Type': 'application/json',
        'Access-Control-Allow-Origin': '*',
        'Access-Control-Allow-Headers': '*'
      }
    });
    return Promise.resolve(_catch(function () {
      return Promise.resolve(ins.post(url, data)).then(function (response) {
        if (response.status === 400 || response.status === 500) throw response.data;
        return response.data;
      });
    }, function (err) {
      var message;

      switch (err.response.status) {
        case 401:
          message = "Lutfen bilgilerinizi kontrol edin.";
          return;

        default:
          return;
      }

      throw message;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var registerpost = function registerpost(url, data) {
  try {
    var ins = axios.create({
      baseURL: process.env.REACT_APP_APIURL,
      headers: {
        'Content-Type': 'application/json',
        'Access-Control-Allow-Origin': '*',
        'Access-Control-Allow-Headers': '*'
      }
    });
    return Promise.resolve(_catch(function () {
      return Promise.resolve(ins.post(url, data)).then(function (response) {
        if (response.status === 400 || response.status === 500) throw response.data;
        return response.data;
      });
    }, function (err) {
      var message;

      switch (err.response.status) {
        case 401:
          message = "Kullanıcı ad ve şifre geçersiz. Lütfen doğru kullanıcı adı ve şifre girin.";
          return;

        case 409:
          message = "Kullanici mevcut";
          return;

        default:
          return;
      }

      console.log("post err response: " + JSON.stringify(err));
      throw message;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var verificationCodeRequestGet = function verificationCodeRequestGet(url, data) {
  try {
    return Promise.resolve(fetch("" + process.env.REACT_APP_APIURL + url + "/" + data.phoneNumber, {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json'
      }
    })).then(function (response) {
      if (response.ok) return Promise.resolve(response.json()).then(function (_response$json) {
        return _response$json.phoneNumber;
      });else return Promise.resolve(response.json()).then(function (_response$json2) {
        throw _response$json2.message;
      });
    });
  } catch (e) {
    return Promise.reject(e);
  }
};

var get = function get(url) {
  try {
    return Promise.resolve(instance.get(url)).then(function (_ref) {
      var data = _ref.data;
      return data;
    });
  } catch (e) {
    return Promise.reject(e);
  }
};

var post = function post(url, data) {
  try {
    return Promise.resolve(_catch(function () {
      return Promise.resolve(instance.post(url, data)).then(function (response) {
        if (response.status === 400 || response.status === 500) throw response.data;
        return response.data;
      });
    }, function (err) {
      console.log("post func error: " + err);
      throw err;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var postWithParams = function postWithParams(url, params) {
  try {
    return Promise.resolve(_catch(function () {
      return Promise.resolve(instance.post(url, null, {
        params: params
      })).then(function (response) {
        if (response.status >= 300) throw response.data;
        return response.data;
      });
    }, function (error) {
      console.log("post /w params - function error: " + error);
      throw error;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var putReq = function putReq(url, data) {
  try {
    return Promise.resolve(_catch(function () {
      return Promise.resolve(instance.put(url, data)).then(function (response) {
        if (response.status >= 300) throw response.data;
        return response.data;
      });
    }, function (error) {
      throw error;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var deleteReq = function deleteReq(url) {
  try {
    return Promise.resolve(_catch(function () {
      return Promise.resolve(instance["delete"](url)).then(function (response) {
        if (response.status >= 300) throw response.data;
        return response.data;
      });
    }, function (error) {
      throw error;
    }));
  } catch (e) {
    return Promise.reject(e);
  }
};

var Search = "Suche";
var Menu = "Speisekarte";
var Dashboards = "Dashboards";
var Dashboard = "Dashboard";
var Default = "Standard";
var Saas = "Sass";
var Crypto = "Krypto";
var Apps = "Apps";
var Calendar = "Kalender";
var New = "Neu";
var Chat = "Plaudern";
var Ecommerce = "E-Commerce";
var Products = "Produkte";
var Orders$1 = "Aufträge";
var Customers = "Kunden";
var Cart = "Wagen";
var Checkout = "Auschecken";
var Shops = "Geschäfte";
var Wallet = "Brieftasche";
var Exchange = "Austausch";
var Lending = "Ausleihe";
var Email = "Email";
var Inbox = "Posteingang";
var Invoices = "Rechnungen";
var Projects = "Projekte";
var Tasks = "Aufgaben";
var Contacts = "Kontakte";
var Profile = "Profil";
var Authentication = "Authentifizierung";
var Login$1 = "Anmeldung";
var Register$1 = "Registrieren";
var Utility = "Nützlichkeit";
var Maintenance = "Instandhaltung";
var Timeline = "Zeitleiste";
var FAQs = "FAQs";
var Pricing = "Preisgestaltung";
var Components = "Komponenten";
var Alerts = "Warnungen";
var Buttons = "Tasten";
var Cards = "Karten";
var Carousel = "Karussell";
var Dropdowns = "Dropdowns";
var Grid = "Gitter";
var Images = "Bilder";
var Lightbox = "Leuchtkasten";
var Modals = "Modale";
var Typography = "Typografie";
var Video = "Video";
var General = "Allgemeines";
var Colors = "Farben";
var Rating = "Bewertung";
var Notifications = "Benachrichtigungen";
var Forms = "Formen";
var Tables = "Tabellen";
var Charts = "Diagramme";
var Icons = "Symbole";
var Boxicons = "Boxicons";
var Dripicons = "Dripicons";
var Maps = "Karten";
var Settings = "die Einstellungen";
var Logout = "Ausloggen";
var Applications = "Anwendungen";
var translationGr = {
	"Mega Menu": "Mega-Menü",
	Search: Search,
	Menu: Menu,
	Dashboards: Dashboards,
	Dashboard: Dashboard,
	Default: Default,
	Saas: Saas,
	Crypto: Crypto,
	Apps: Apps,
	Calendar: Calendar,
	New: New,
	Chat: Chat,
	Ecommerce: Ecommerce,
	Products: Products,
	"Product Detail": "Produktdetail",
	Orders: Orders$1,
	Customers: Customers,
	Cart: Cart,
	Checkout: Checkout,
	Shops: Shops,
	"Add Product": "Produkt hinzufügen",
	Wallet: Wallet,
	"Buy/Sell": "Kaufen Verkaufen",
	Exchange: Exchange,
	Lending: Lending,
	"KYC Application": "KYC-Anwendung",
	"ICO Landing": "ICO Landung",
	Email: Email,
	Inbox: Inbox,
	"Read Email": "E-Mail lesen",
	Invoices: Invoices,
	"Invoice List": "Rechnungsliste",
	"Invoice Detail": "Rechnungsdetail",
	Projects: Projects,
	"Projects Grid": "Projektraster",
	"Projects List": "Projektliste",
	"Project Overview": "Projektübersicht",
	"Create New": "Erstelle neu",
	Tasks: Tasks,
	"Task List": "Aufgabenliste",
	"Kanban Board": "Kanban Board",
	"Create Task": "Aufgabe erstellen",
	Contacts: Contacts,
	"User Grid": "User Grid",
	"User List": "Benutzerliste",
	Profile: Profile,
	Authentication: Authentication,
	Login: Login$1,
	Register: Register$1,
	"Forget Password": "Passwort vergessen",
	Utility: Utility,
	"Starter Page": "Startseite",
	Maintenance: Maintenance,
	"Coming Soon": "Demnächst",
	Timeline: Timeline,
	FAQs: FAQs,
	Pricing: Pricing,
	"Error 404": "Fehler 404",
	"Error 500": "Fehler 500",
	Components: Components,
	"UI Elements": "UI-Elemente",
	Alerts: Alerts,
	Buttons: Buttons,
	Cards: Cards,
	Carousel: Carousel,
	Dropdowns: Dropdowns,
	Grid: Grid,
	Images: Images,
	Lightbox: Lightbox,
	Modals: Modals,
	"Range Slider": "Range Slider",
	"Session Timeout": "Session-Timeout",
	"Progress Bars": "Fortschrittsbalken",
	"Sweet-Alert": "Sweet-Alert",
	"Tabs & Accordions": "Tabs & Akkordeons",
	Typography: Typography,
	Video: Video,
	General: General,
	Colors: Colors,
	Rating: Rating,
	Notifications: Notifications,
	"Image Cropper": "Bild Cropper",
	Forms: Forms,
	"Form Elements": "Formularelemente",
	"Form Validation": "Formularvalidierung",
	"Form Advanced": "Formular erweitert",
	"Form Editors": "Formulareditoren",
	"Form File Upload": "Hochladen von Formulardateien",
	"Form Xeditable": "Formular Xeditable",
	"Form Repeater": "Form Repeater",
	"Form Wizard": "Formzauberer",
	"Form Mask": "Formularmaske",
	Tables: Tables,
	"Basic Tables": "Grundtabellen",
	"Data Tables": "Datentabellen",
	"Responsive Table": "Antworttabelle",
	"Editable Table": "Bearbeitbare Tabelle",
	Charts: Charts,
	"Apex charts": "Apex-Diagramme",
	"Chartist Chart": "Chartist Chart",
	"Chartjs Chart": "Chartjs Chart",
	"E Chart": "E Diagramm",
	"Sparkline Chart": "Sparkline-Diagramm",
	"Toast UI Chart": "Toast UI Chart",
	Icons: Icons,
	Boxicons: Boxicons,
	"Material Design": "Material Design",
	Dripicons: Dripicons,
	"Font awesome": "Schriftart fantastisch",
	Maps: Maps,
	"Google Maps": "Google Maps",
	"Vector Maps": "Vektorkarten",
	"Level 1.1": "Stufe 1.1",
	"Multi Level": "Multi Level",
	"Level 1.2": "Stufe 1.2",
	"Level 2.1": "Stufe 2.1",
	"Level 2.2": "Stufe 2.2",
	"My Wallet": "Bildschirm sperren",
	Settings: Settings,
	"Lock screen": "Bildschirm sperren",
	Logout: Logout,
	"View all": "Alle ansehen",
	"Your order is placed": "Ihre Bestellung wird aufgegeben",
	"If several languages coalesce the grammar": "Wenn mehrere Sprachen die Grammatik verschmelzen",
	"3 min ago": "Vor 3 min",
	"It will seem like simplified English": "Es wird wie vereinfachtes Englisch erscheinen",
	"1 hours ago": "Als skeptischer Cambridge-Freund von mir Occidental",
	"Your item is shipped": "Ihr Artikel wird versendet",
	"As a skeptical Cambridge friend of mine occidental": "",
	"UI Components": "UI-Komponenten",
	Applications: Applications,
	"Extra Pages": "Zusätzliche Seiten",
	"Horizontal layout": "Horizontales Layout",
	"Light Sidebar": "Leichte Seitenleiste",
	"Compact Sidebar": "Kompakte Seitenleiste"
};

var Search$1 = "Ricerca";
var Menu$1 = "Menù";
var Dashboards$1 = "cruscotti";
var Dashboard$1 = "Pannello di controllo";
var Default$1 = "Predefinita";
var Saas$1 = "Sass";
var Crypto$1 = "Crypto";
var Apps$1 = "applicazioni";
var Calendar$1 = "Calendario";
var New$1 = "Nuova";
var Chat$1 = "Chiacchierare";
var Ecommerce$1 = "ecommerce";
var Products$1 = "Prodotti";
var Orders$2 = "Ordini";
var Customers$1 = "I clienti";
var Cart$1 = "Carrello";
var Checkout$1 = "Check-out";
var Shops$1 = "negozi";
var Wallet$1 = "Portafoglio";
var Exchange$1 = "Scambio";
var Lending$1 = "prestito";
var Email$1 = "E-mail";
var Inbox$1 = "Posta in arrivo";
var Invoices$1 = "Fatture";
var Projects$1 = "progetti";
var Tasks$1 = "Compiti";
var Contacts$1 = "Contatti";
var Profile$1 = "Profilo";
var Authentication$1 = "Autenticazione";
var Login$2 = "Accesso";
var Register$2 = "Registrati";
var Utility$1 = "Utilità";
var Maintenance$1 = "Manutenzione";
var Timeline$1 = "Sequenza temporale";
var FAQs$1 = "FAQs";
var Pricing$1 = "Prezzi";
var Components$1 = "componenti";
var Alerts$1 = "avvisi";
var Buttons$1 = "pulsanti";
var Cards$1 = "Carte";
var Carousel$1 = "Giostra";
var Dropdowns$1 = "menu a discesa";
var Grid$1 = "Griglia";
var Images$1 = "immagini";
var Lightbox$1 = "ID";
var Modals$1 = "Modals";
var Typography$1 = "Tipografia";
var Video$1 = "Video";
var General$1 = "Generale";
var Colors$1 = "Colori";
var Rating$1 = "Valutazione";
var Notifications$1 = "notifiche";
var Forms$1 = "Le forme";
var Tables$1 = "tabelle";
var Charts$1 = "Grafici";
var Icons$1 = "Icone";
var Boxicons$1 = "Boxicons";
var Dripicons$1 = "Dripicons";
var Maps$1 = "Mappe";
var Settings$1 = "impostazioni";
var Logout$1 = "Disconnettersi";
var Applications$1 = "applicazioni";
var translationIT = {
	"Mega Menu": "Mega Menu",
	Search: Search$1,
	Menu: Menu$1,
	Dashboards: Dashboards$1,
	Dashboard: Dashboard$1,
	Default: Default$1,
	Saas: Saas$1,
	Crypto: Crypto$1,
	Apps: Apps$1,
	Calendar: Calendar$1,
	New: New$1,
	Chat: Chat$1,
	Ecommerce: Ecommerce$1,
	Products: Products$1,
	"Product Detail": "Dettagli del prodotto",
	Orders: Orders$2,
	Customers: Customers$1,
	Cart: Cart$1,
	Checkout: Checkout$1,
	Shops: Shops$1,
	"Add Product": "Aggiungi prodotto",
	Wallet: Wallet$1,
	"Buy/Sell": "Comprare vendere",
	Exchange: Exchange$1,
	Lending: Lending$1,
	"KYC Application": "Applicazione KYC",
	"ICO Landing": "Atterraggio ICO",
	Email: Email$1,
	"Read Email": "Leggi l'email",
	Inbox: Inbox$1,
	Invoices: Invoices$1,
	"Invoice List": "Elenco fatture",
	"Invoice Detail": "Dettaglio fattura",
	Projects: Projects$1,
	"Projects Grid": "Griglia dei progetti",
	"Projects List": "Elenco dei progetti",
	"Project Overview": "Panoramica del progetto",
	"Create New": "Creare nuovo",
	Tasks: Tasks$1,
	"Task List": "Elenco delle attività",
	"Kanban Board": "Kanban Board",
	"Create Task": "Crea attività",
	Contacts: Contacts$1,
	"User Grid": "Griglia utente",
	"User List": "lista degli utenti",
	Profile: Profile$1,
	Authentication: Authentication$1,
	Login: Login$2,
	Register: Register$2,
	"Forget Password": "Dimenticare la password",
	Utility: Utility$1,
	"Starter Page": "Pagina iniziale",
	Maintenance: Maintenance$1,
	"Coming Soon": "Prossimamente",
	Timeline: Timeline$1,
	FAQs: FAQs$1,
	Pricing: Pricing$1,
	"Error 404": "Errore 404",
	"Error 500": "Errore 500",
	Components: Components$1,
	"UI Elements": "Elementi dell'interfaccia utente",
	Alerts: Alerts$1,
	Buttons: Buttons$1,
	Cards: Cards$1,
	Carousel: Carousel$1,
	Dropdowns: Dropdowns$1,
	Grid: Grid$1,
	Images: Images$1,
	Lightbox: Lightbox$1,
	Modals: Modals$1,
	"Range Slider": "Cursore gamma",
	"Session Timeout": "Timeout della sessione",
	"Progress Bars": "Indicatori di stato",
	"Sweet-Alert": "Sweet-Alert",
	"Tabs & Accordions": "Schede e fisarmoniche",
	Typography: Typography$1,
	Video: Video$1,
	General: General$1,
	Colors: Colors$1,
	Rating: Rating$1,
	Notifications: Notifications$1,
	"Image Cropper": "Image Cropper",
	Forms: Forms$1,
	"Form Elements": "Elementi della forma",
	"Form Validation": "Convalida del modulo",
	"Form Advanced": "Modulo avanzato",
	"Form Editors": "Redattori di moduli",
	"Form File Upload": "Caricamento file modulo",
	"Form Xeditable": "Modulo Xeditable",
	"Form Repeater": "Ripetitore di moduli",
	"Form Wizard": "Procedura guidata modulo",
	"Form Mask": "Maschera di forma",
	Tables: Tables$1,
	"Basic Tables": "Tabelle di base",
	"Data Tables": "Tabelle dati",
	"Responsive Table": "Tabella reattiva",
	"Editable Table": "Tabella modificabile",
	Charts: Charts$1,
	"Apex charts": "Grafici apicali",
	"Chartist Chart": "Chart Chartist",
	"Chartjs Chart": "Grafico di Chartjs",
	"E Chart": "E Chart",
	"Sparkline Chart": "Grafico sparkline",
	"Toast UI Chart": "Grafico dell'interfaccia utente di Toast",
	Icons: Icons$1,
	Boxicons: Boxicons$1,
	"Material Design": "Design materiale",
	Dripicons: Dripicons$1,
	"Font awesome": "Carattere fantastico",
	Maps: Maps$1,
	"Google Maps": "Google Maps",
	"Vector Maps": "Mappe vettoriali",
	"Level 1.1": "Livello 1.1",
	"Multi Level": "Multi livello",
	"Level 1.2": "Livello 1.2",
	"Level 2.1": "Livello 2.1",
	"Level 2.2": "Livello 2.2",
	"My Wallet": "Il mio portafoglio",
	Settings: Settings$1,
	"Lock screen": "Blocca schermo",
	Logout: Logout$1,
	"View all": "Mostra tutto",
	"Your order is placed": "Il tuo ordine è stato effettuato",
	"If several languages coalesce the grammar": "Se diverse lingue fondono la grammatica",
	"3 min ago": "3 min fa",
	"It will seem like simplified English": "Sembrerà un inglese semplificato",
	"1 hours ago": "1 ora fa",
	"Your item is shipped": "Il tuo articolo viene spedito",
	"As a skeptical Cambridge friend of mine occidental": "Come un mio scettico amico di Cambridge occidentale",
	"UI Components": "Componenti dell'interfaccia utente",
	Applications: Applications$1,
	"Extra Pages": "Pagine extra",
	"Horizontal layout": "Layout orizzontale",
	"Light Sidebar": "Barra laterale leggera",
	"Compact Sidebar": "Barra laterale compatta"
};

var Search$2 = "Поиск";
var Menu$2 = "Menu";
var Dashboards$2 = "Сводки";
var Dashboard$2 = "Приборная панель";
var Default$2 = "По умолчанию";
var Saas$2 = "Saas";
var Crypto$2 = "крипто-";
var Apps$2 = "Программы";
var New$2 = "Nuova";
var Calendar$2 = "Календарь";
var Chat$2 = "Чат";
var Ecommerce$2 = "Электронная торговля";
var Products$2 = "Товары";
var Orders$3 = "заказы";
var Customers$2 = "Клиенты";
var Cart$2 = "телега";
var Checkout$2 = "Проверять, выписываться";
var Shops$2 = "Магазины";
var Wallet$2 = "Бумажник";
var Exchange$2 = "обмен";
var Lending$2 = "кредитование";
var Email$2 = "Электронное письмо";
var Inbox$2 = "входящие";
var Invoices$2 = "Счета-фактуры";
var Projects$2 = "проектов";
var Tasks$2 = "Задания";
var Contacts$2 = "контакты";
var Profile$2 = "Профиль";
var Authentication$2 = "Аутентификация";
var Login$3 = "Авторизоваться";
var Register$3 = "регистр";
var Utility$2 = "Утилита";
var Maintenance$2 = "техническое обслуживание";
var Timeline$2 = "Лента новостей";
var FAQs$2 = "Вопросы и ответы";
var Pricing$2 = "ценообразование";
var Components$2 = "Компоненты";
var Alerts$2 = "Оповещения";
var Buttons$2 = "Кнопки";
var Cards$2 = "Открытки";
var Carousel$2 = "карусель";
var Dropdowns$2 = "Dropdowns";
var Grid$2 = "сетка";
var Images$2 = "Картинки";
var Lightbox$2 = "Lightbox";
var Modals$2 = "модальности";
var Typography$2 = "Типография";
var Video$2 = "видео";
var General$2 = "генеральный";
var Colors$2 = "Цвета";
var Rating$2 = "Рейтинг";
var Notifications$2 = "Уведомления";
var Forms$2 = "формы";
var Tables$2 = "таблицы";
var Charts$2 = "Графики";
var Icons$2 = "Иконки";
var Boxicons$2 = "Boxicons";
var Dripicons$2 = "Dripicons";
var Maps$2 = "Карты";
var Settings$2 = "настройки";
var Logout$2 = "Выйти";
var Applications$2 = "Приложения";
var translationRS = {
	"Mega Menu": "Мега Меню",
	Search: Search$2,
	Menu: Menu$2,
	Dashboards: Dashboards$2,
	Dashboard: Dashboard$2,
	Default: Default$2,
	Saas: Saas$2,
	Crypto: Crypto$2,
	Apps: Apps$2,
	New: New$2,
	Calendar: Calendar$2,
	Chat: Chat$2,
	Ecommerce: Ecommerce$2,
	Products: Products$2,
	"Product Detail": "Информация о продукте",
	Orders: Orders$3,
	Customers: Customers$2,
	Cart: Cart$2,
	Checkout: Checkout$2,
	Shops: Shops$2,
	"Add Product": "Добавить продукт",
	Wallet: Wallet$2,
	"Buy/Sell": "Купи продай",
	Exchange: Exchange$2,
	Lending: Lending$2,
	"KYC Application": "Приложение KYC",
	"ICO Landing": "ICO Landing",
	Email: Email$2,
	"Read Email": "Читать электронную почту",
	Inbox: Inbox$2,
	Invoices: Invoices$2,
	"Invoice List": "Список счетов",
	"Invoice Detail": "Деталь счета",
	Projects: Projects$2,
	"Projects Grid": "Сетка проектов",
	"Projects List": "Список проектов",
	"Project Overview": "Обзор проекта",
	"Create New": "Создать новое",
	Tasks: Tasks$2,
	"Task List": "Список заданий",
	"Kanban Board": "Канбан Правление",
	"Create Task": "Создать задачу",
	Contacts: Contacts$2,
	"User Grid": "Сетка пользователя",
	"User List": "Список пользователей",
	Profile: Profile$2,
	Authentication: Authentication$2,
	Login: Login$3,
	Register: Register$3,
	"Forget Password": "Забыть пароль",
	Utility: Utility$2,
	"Starter Page": "Стартовая страница",
	Maintenance: Maintenance$2,
	"Coming Soon": "Скоро будет",
	Timeline: Timeline$2,
	FAQs: FAQs$2,
	Pricing: Pricing$2,
	"Error 404": "Ошибка 404",
	"Error 500": "Ошибка 500",
	Components: Components$2,
	"UI Elements": "Элементы пользовательского интерфейса",
	Alerts: Alerts$2,
	Buttons: Buttons$2,
	Cards: Cards$2,
	Carousel: Carousel$2,
	Dropdowns: Dropdowns$2,
	Grid: Grid$2,
	Images: Images$2,
	Lightbox: Lightbox$2,
	Modals: Modals$2,
	"Range Slider": "Ползунок диапазона",
	"Session Timeout": "Тайм-аут сеанса",
	"Progress Bars": "Прогресс Бары",
	"Sweet-Alert": "Sweet-оповещение",
	"Tabs & Accordions": "Вкладки и Аккордеоны",
	Typography: Typography$2,
	Video: Video$2,
	General: General$2,
	Colors: Colors$2,
	Rating: Rating$2,
	Notifications: Notifications$2,
	"Image Cropper": "Изображение Кроппер",
	Forms: Forms$2,
	"Form Elements": "Элементы формы",
	"Form Validation": "Проверка формы",
	"Form Advanced": "Форма Advanced",
	"Form Editors": "Редакторы форм",
	"Form File Upload": "Загрузить файл формы",
	"Form Xeditable": "Форма Xeditable",
	"Form Repeater": "Повторитель формы",
	"Form Wizard": "Мастер форм",
	"Form Mask": "Форма Маска",
	Tables: Tables$2,
	"Basic Tables": "Основные таблицы",
	"Data Tables": "Таблицы данных",
	"Responsive Table": "Отзывчивый стол",
	"Editable Table": "Редактируемая таблица",
	Charts: Charts$2,
	"Apex charts": "Апекс диаграммы",
	"Chartist Chart": "Chartist Chart",
	"Chartjs Chart": "Chartjs Chart",
	"E Chart": "Электронная Диаграмма",
	"Sparkline Chart": "Sparkline Chart",
	"Toast UI Chart": "Тост интерфейс",
	Icons: Icons$2,
	Boxicons: Boxicons$2,
	"Material Design": "Материал Дизайн",
	Dripicons: Dripicons$2,
	"Font awesome": "Шрифт потрясающий",
	Maps: Maps$2,
	"Google Maps": "Карты Гугл",
	"Vector Maps": "Векторные карты",
	"Level 1.1": "Уровень 1.1",
	"Multi Level": "Многоуровневый",
	"Level 1.2": "Уровень 1.2",
	"Level 2.1": "Уровень 2.1",
	"Level 2.2": "Уровень 2.2",
	"My Wallet": "Мой бумажник",
	Settings: Settings$2,
	"Lock screen": "Экран блокировки",
	Logout: Logout$2,
	"View all": "Посмотреть все",
	"Your order is placed": "Ваш заказ размещен",
	"If several languages coalesce the grammar": "Если несколько языков объединяют грамматику",
	"3 min ago": "3 мин. Назад",
	"It will seem like simplified English": "Это будет похоже на упрощенный английский",
	"1 hours ago": "1 час назад",
	"Your item is shipped": "Ваш товар отправлен",
	"As a skeptical Cambridge friend of mine occidental": "Как скептически настроенный мой друг из Кембриджа",
	"UI Components": "UI Компоненты",
	Applications: Applications$2,
	"Extra Pages": "Дополнительные страницы",
	"Horizontal layout": "Горизонтальное расположение",
	"Light Sidebar": "Легкая боковая панель",
	"Compact Sidebar": "Компактная боковая панель"
};

var Search$3 = "Buscar";
var Menu$3 = "Menú";
var Dashboards$3 = "Tableros";
var Dashboard$3 = "Tablero";
var Default$3 = "Defecto";
var Saas$3 = "Saas";
var Crypto$3 = "Cripto";
var Apps$3 = "Aplicaciones";
var Calendar$3 = "Calendario";
var New$3 = "Nuova";
var Chat$3 = "Charla";
var Products$3 = "Productos";
var Ecommerce$3 = "Comercio electrónico";
var Orders$4 = "Pedidos";
var Customers$3 = "Clientes";
var Cart$3 = "Carro";
var Checkout$3 = "Revisa";
var Shops$3 = "Tiendas";
var Wallet$3 = "Billetera";
var Exchange$3 = "Intercambiar";
var Lending$3 = "Préstamo";
var Email$3 = "Correo electrónico";
var Inbox$3 = "Bandeja de entrada";
var Invoices$3 = "Facturas";
var Projects$3 = "progetti";
var Tasks$3 = "Compiti";
var Contacts$3 = "Contatti";
var Profile$3 = "Proyectos";
var Authentication$3 = "Autenticación";
var Login$4 = "Iniciar sesión";
var Register$4 = "Registrarse";
var Utility$3 = "Utilidad";
var Maintenance$3 = "Mantenimiento";
var Timeline$3 = "Cronograma";
var FAQs$3 = "Preguntas frecuentes";
var Pricing$3 = "Precios";
var Components$3 = "Componentes";
var Alerts$3 = "Alertas";
var Buttons$3 = "Botones";
var Cards$3 = "Tarjetas";
var Carousel$3 = "Carrusel";
var Dropdowns$3 = "Listas deplegables";
var Grid$3 = "Cuadrícula";
var Images$3 = "Imágenes";
var Modals$3 = "Modals";
var Lightbox$3 = "Caja ligera";
var Typography$3 = "Tipografía";
var Video$3 = "Vídeo";
var General$3 = "General";
var Colors$3 = "Colores";
var Rating$3 = "Clasificación";
var Notifications$3 = "Notificaciones";
var Forms$3 = "Formas";
var Tables$3 = "Mesas";
var Charts$3 = "Gráficos";
var Icons$3 = "Íconos";
var Boxicons$3 = "Boxicones";
var Dripicons$3 = "Dripicons";
var Maps$3 = "Mapas";
var Settings$3 = "Configuraciones";
var Logout$3 = "Cerrar sesión";
var Applications$3 = "Aplicaciones";
var translationSP = {
	"Mega Menu": "Mega menú",
	Search: Search$3,
	Menu: Menu$3,
	Dashboards: Dashboards$3,
	Dashboard: Dashboard$3,
	Default: Default$3,
	Saas: Saas$3,
	Crypto: Crypto$3,
	Apps: Apps$3,
	Calendar: Calendar$3,
	New: New$3,
	Chat: Chat$3,
	Products: Products$3,
	Ecommerce: Ecommerce$3,
	"Product Detail": "Detalle del producto",
	Orders: Orders$4,
	Customers: Customers$3,
	Cart: Cart$3,
	Checkout: Checkout$3,
	Shops: Shops$3,
	"Add Product": "Añadir Producto",
	Wallet: Wallet$3,
	"Buy/Sell": "Compra venta",
	Exchange: Exchange$3,
	Lending: Lending$3,
	"KYC Application": "Solicitud KYC",
	"ICO Landing": "Aterrizaje ICO",
	Email: Email$3,
	"Read Email": "Leer el correo electrónico",
	Inbox: Inbox$3,
	Invoices: Invoices$3,
	"Invoice List": "Lista de facturas",
	"Invoice Detail": "Detalle de factura",
	Projects: Projects$3,
	"Projects Grid": "Griglia dei progetti",
	"Projects List": "Elenco dei progetti",
	"Project Overview": "Panoramica del progetto",
	"Create New": "Creare nuovo",
	Tasks: Tasks$3,
	"Task List": "Elenco delle attività",
	"Kanban Board": "Kanban Board",
	"Create Task": "Crea attività",
	Contacts: Contacts$3,
	"User Grid": "Griglia utente",
	"User List": "lista degli utenti",
	Profile: Profile$3,
	Authentication: Authentication$3,
	Login: Login$4,
	Register: Register$4,
	"Forget Password": "Contraseña olvidada",
	Utility: Utility$3,
	"Starter Page": "Página de inicio",
	Maintenance: Maintenance$3,
	"Coming Soon": "Próximamente",
	Timeline: Timeline$3,
	FAQs: FAQs$3,
	Pricing: Pricing$3,
	"Error 404": "error 404",
	"Error 500": "Error 500",
	Components: Components$3,
	"UI Elements": "Elementos de la IU",
	Alerts: Alerts$3,
	Buttons: Buttons$3,
	Cards: Cards$3,
	Carousel: Carousel$3,
	Dropdowns: Dropdowns$3,
	Grid: Grid$3,
	Images: Images$3,
	Modals: Modals$3,
	Lightbox: Lightbox$3,
	"Range Slider": "Control deslizante de rango",
	"Session Timeout": "Hora de término de la sesión",
	"Progress Bars": "Barras de progreso",
	"Sweet-Alert": "Alerta dulce",
	"Tabs & Accordions": "Pestañas y acordeones",
	Typography: Typography$3,
	Video: Video$3,
	General: General$3,
	Colors: Colors$3,
	Rating: Rating$3,
	Notifications: Notifications$3,
	"Image Cropper": "Recortador de imagen",
	Forms: Forms$3,
	"Form Elements": "Elementos de formulario",
	"Form Validation": "Validación de formulario",
	"Form Advanced": "Formulario avanzado",
	"Form Editors": "Editores de formularios",
	"Form File Upload": "Subir archivo de formulario",
	"Form Xeditable": "Formulario Xeditable",
	"Form Repeater": "Repetidor de forma",
	"Form Wizard": "Asistente de formulario",
	"Form Mask": "Máscara de forma",
	Tables: Tables$3,
	"Basic Tables": "Tablas Básicas",
	"Data Tables": "Tablas de datos",
	"Responsive Table": "Mesa receptiva",
	"Editable Table": "Tabla editable",
	Charts: Charts$3,
	"Apex charts": "Tablas de Apex",
	"Chartist Chart": "Chartist Chart",
	"Chartjs Chart": "Chartjs Chart",
	"E Chart": "Gráfico E",
	"Sparkline Chart": "Gráfico de minigráfico",
	"Toast UI Chart": "Toast UI Chart",
	Icons: Icons$3,
	Boxicons: Boxicons$3,
	"Material Design": "Diseño de materiales",
	Dripicons: Dripicons$3,
	"Font awesome": "Font awesome",
	Maps: Maps$3,
	"Google Maps": "mapas de Google",
	"Vector Maps": "Mapas vectoriales",
	"Level 1.1": "Nivel 1.1",
	"Multi Level": "Multi nivel",
	"Level 1.2": "Nivel 1.2",
	"Level 2.1": "Nivel 2.1",
	"Level 2.2": "Nivel 2.2",
	"My Wallet": "Mi billetera",
	Settings: Settings$3,
	"Lock screen": "Bloquear pantalla",
	Logout: Logout$3,
	"View all": "Ver todo",
	"Your order is placed": "Su pedido es realizado",
	"If several languages coalesce the grammar": "Si varios idiomas fusionan la gramática",
	"3 min ago": "Hace 3 minutos",
	"It will seem like simplified English": "Parecerá un inglés simplificado",
	"1 hours ago": "Hace 1 hora",
	"Your item is shipped": "Su artículo es enviado",
	"As a skeptical Cambridge friend of mine occidental": "Como escéptico amigo mio de Cambridge occidental",
	"UI Components": "Componentes de la IU",
	Applications: Applications$3,
	"Extra Pages": "Páginas extra",
	"Horizontal layout": "Diseño horizontal",
	"Light Sidebar": "Barra lateral ligera",
	"Compact Sidebar": "Barra lateral compacta"
};

var Search$4 = "Search";
var Menu$4 = "Menu";
var Dashboards$4 = "Dashboards";
var Dashboard$4 = "Dashboard";
var Default$4 = "Default";
var Saas$4 = "Saas";
var Crypto$4 = "Crypto";
var Apps$4 = "Apps";
var Calendar$4 = "Calendar";
var New$4 = "New";
var Chat$4 = "Chat";
var Ecommerce$4 = "Ecommerce";
var Products$4 = "Products";
var Orders$5 = "Orders";
var Customers$4 = "Customers";
var Cart$4 = "Cart";
var Checkout$4 = "Checkout";
var Shops$4 = "Shops";
var Wallet$4 = "Wallet";
var Exchange$4 = "Exchange";
var Lending$4 = "Lending";
var Email$4 = "Email";
var Inbox$4 = "Inbox";
var Invoices$4 = "Invoices";
var Projects$4 = "Projects";
var Tasks$4 = "Tasks";
var Contacts$4 = "Contacts";
var Profile$4 = "Profile";
var Authentication$4 = "Authentication";
var Login$5 = "Login";
var Register$5 = "Register";
var Utility$4 = "Utility";
var Maintenance$4 = "Maintenance";
var Timeline$4 = "Timeline";
var FAQs$4 = "FAQs";
var Pricing$4 = "Pricing";
var Components$4 = "Components";
var Alerts$4 = "Alerts";
var Buttons$4 = "Buttons";
var Cards$4 = "Cards";
var Carousel$4 = "Carousel";
var Dropdowns$4 = "Dropdowns";
var Grid$4 = "Grid";
var Images$4 = "Images";
var Lightbox$4 = "Lightbox";
var Modals$4 = "Modals";
var Typography$4 = "Typography";
var Video$4 = "Video";
var General$4 = "General";
var Colors$4 = "Colors";
var Rating$4 = "Rating";
var Notifications$4 = "Notifications";
var Forms$4 = "Forms";
var Tables$4 = "Tables";
var Charts$4 = "Charts";
var Icons$4 = "Icons";
var Boxicons$4 = "Boxicons";
var Dripicons$4 = "Dripicons";
var Maps$4 = "Maps";
var Settings$4 = "Settings";
var Logout$4 = "Logout";
var Applications$4 = "Applications";
var Couriers = "Couriers";
var Courier = "Courier";
var Operational = "Operational";
var Announcements = "Announcements";
var translationENG = {
	"Mega Menu": "Mega Menu",
	Search: Search$4,
	Menu: Menu$4,
	Dashboards: Dashboards$4,
	Dashboard: Dashboard$4,
	Default: Default$4,
	Saas: Saas$4,
	Crypto: Crypto$4,
	Apps: Apps$4,
	Calendar: Calendar$4,
	New: New$4,
	Chat: Chat$4,
	Ecommerce: Ecommerce$4,
	Products: Products$4,
	"Product Detail": "Product Detail",
	Orders: Orders$5,
	Customers: Customers$4,
	Cart: Cart$4,
	Checkout: Checkout$4,
	Shops: Shops$4,
	"Add Product": "Add Product",
	Wallet: Wallet$4,
	"Buy/Sell": "Buy/Sell",
	Exchange: Exchange$4,
	Lending: Lending$4,
	"KYC Application": "KYC Application",
	"ICO Landing": "ICO Landing",
	Email: Email$4,
	Inbox: Inbox$4,
	"Read Email": "Read Email",
	Invoices: Invoices$4,
	"Invoice List": "Invoice List",
	"Invoice Detail": "Invoice Detail",
	Projects: Projects$4,
	"Projects Grid": "Projects Grid",
	"Projects List": "Projects List",
	"Project Overview": "Project Overview",
	"Create New": "Create New",
	Tasks: Tasks$4,
	"Task List": "Task List",
	"Kanban Board": "Kanban Board",
	"Create Task": ",Create Task",
	Contacts: Contacts$4,
	"User Grid": "User Grid",
	"User List": "User List",
	Profile: Profile$4,
	Authentication: Authentication$4,
	Login: Login$5,
	Register: Register$5,
	"Forget Password": "Forget Password",
	Utility: Utility$4,
	"Starter Page": "Starter Page",
	Maintenance: Maintenance$4,
	"Coming Soon": "Coming Soon",
	Timeline: Timeline$4,
	FAQs: FAQs$4,
	Pricing: Pricing$4,
	"Error 404": "Error 404",
	"Error 500": "Error 500",
	Components: Components$4,
	"UI Elements": "UI Elements",
	Alerts: Alerts$4,
	Buttons: Buttons$4,
	Cards: Cards$4,
	Carousel: Carousel$4,
	Dropdowns: Dropdowns$4,
	Grid: Grid$4,
	Images: Images$4,
	Lightbox: Lightbox$4,
	Modals: Modals$4,
	"Range Slider": "Range Slider",
	"Session Timeout": "Session Timeout",
	"Progress Bars": "Progress Bars",
	"Sweet-Alert": "Sweet-Alert",
	"Tabs & Accordions": "Tabs & Accordions",
	Typography: Typography$4,
	Video: Video$4,
	General: General$4,
	Colors: Colors$4,
	Rating: Rating$4,
	Notifications: Notifications$4,
	"Image Cropper": "Image Cropper",
	Forms: Forms$4,
	"Form Elements": "Form Elements",
	"Form Validation": "Form Validation",
	"Form Advanced": "Form Advanced",
	"Form Editors": "Form Editors",
	"Form File Upload": "Form File Upload",
	"Form Xeditable": "Form Xeditable",
	"Form Repeater": "Form Repeater",
	"Form Wizard": "Form Wizard",
	"Form Mask": "Form Mask",
	Tables: Tables$4,
	"Basic Tables": "Basic Tables",
	"Data Tables": "Data Tables",
	"Responsive Table": "Responsive Table",
	"Editable Table": "Editable Table",
	Charts: Charts$4,
	"Apex charts": "Apex charts",
	"Chartist Chart": "Chartist Chart",
	"Chartjs Chart": "Chartjs Chart",
	"E Chart": "E Chart",
	"Sparkline Chart": "Sparkline Chart",
	"Toast UI Chart": "Toast UI Chart",
	Icons: Icons$4,
	Boxicons: Boxicons$4,
	"Material Design": "Material Design",
	Dripicons: Dripicons$4,
	"Font awesome": "Font awesome",
	Maps: Maps$4,
	"Google Maps": "Google Maps",
	"Vector Maps": "Vector Maps",
	"Level 1.1": "Level 1.1",
	"Multi Level": "Multi Level",
	"Level 1.2": "Level 1.2",
	"Level 2.1": "Level 2.1",
	"Level 2.2": "Level 2.2",
	"My Wallet": "My Wallet",
	Settings: Settings$4,
	"Lock screen": "Lock screen",
	"View all": "View all",
	Logout: Logout$4,
	"Your order is placed": "Your order is placed",
	"If several languages coalesce the grammar": "If several languages coalesce the grammar",
	"3 min ago": "3 min ago",
	"It will seem like simplified English": "It will seem like simplified English",
	"1 hours ago": "1 hours ago",
	"Your item is shipped": "Your item is shipped",
	"As a skeptical Cambridge friend of mine occidental": "As a skeptical Cambridge friend of mine occidental",
	"UI Components": "UI Components",
	Applications: Applications$4,
	"Extra Pages": "Extra Pages",
	"Horizontal layout": "Horizontal layout",
	"Light Sidebar": "Light Sidebar",
	"Compact Sidebar": "Compact Sidebar",
	Couriers: Couriers,
	Courier: Courier,
	"Courier Tracking": "Courier Tracking",
	"Courier Applications": "Courier Applications",
	Operational: Operational,
	"Operation Tracking": "Operation Tracking",
	"Past Orders": "Past Orders",
	Announcements: Announcements,
	"Address Book": "Address Book",
	"Credit Cards": "Credit Cards",
	"Service Area": "Service Area",
	"Operating Hours": "Operating Hours"
};

var Search$5 = "Search";
var Menu$5 = "Menu";
var Dashboards$5 = "Dashboards";
var Dashboard$5 = "Ana Sayfa";
var Default$5 = "Default";
var Saas$5 = "Saas";
var Crypto$5 = "Crypto";
var Apps$5 = "Apps";
var Calendar$5 = "Calendar";
var New$5 = "New";
var Chat$5 = "Chat";
var Ecommerce$5 = "Ecommerce";
var Products$5 = "Products";
var Orders$6 = "Orders";
var Customers$5 = "Müşteriler";
var Cart$5 = "Cart";
var Checkout$5 = "Checkout";
var Shops$5 = "Shops";
var Wallet$5 = "Wallet";
var Exchange$5 = "Exchange";
var Lending$5 = "Lending";
var Email$5 = "Email";
var Inbox$5 = "Inbox";
var Invoices$5 = "Faturalar";
var Projects$5 = "Projects";
var Tasks$5 = "Tasks";
var Contacts$5 = "Contacts";
var Profile$5 = "Profile";
var Authentication$5 = "Authentication";
var Login$6 = "Login";
var Register$6 = "Register";
var Utility$5 = "Utility";
var Maintenance$5 = "Maintenance";
var Timeline$5 = "Timeline";
var FAQs$5 = "FAQs";
var Pricing$5 = "Pricing";
var Components$5 = "Components";
var Alerts$5 = "Alerts";
var Buttons$5 = "Buttons";
var Cards$5 = "Cards";
var Carousel$5 = "Carousel";
var Dropdowns$5 = "Dropdowns";
var Grid$5 = "Grid";
var Images$5 = "Images";
var Lightbox$5 = "Lightbox";
var Modals$5 = "Modals";
var Typography$5 = "Typography";
var Video$5 = "Video";
var General$5 = "General";
var Colors$5 = "Colors";
var Rating$5 = "Rating";
var Notifications$5 = "Duyurular";
var Forms$5 = "Forms";
var Tables$5 = "Tables";
var Charts$5 = "Charts";
var Icons$5 = "Icons";
var Boxicons$5 = "Boxicons";
var Dripicons$5 = "Dripicons";
var Maps$5 = "Maps";
var Settings$5 = "Ayarlar";
var Logout$5 = "Çıkış Yap";
var Applications$5 = "Applications";
var Couriers$1 = "Kuryeler";
var Courier$1 = "Kurye";
var Operational$1 = "Operasyonel";
var Announcements$1 = "Duyurular";
var translationTR = {
	"Mega Menu": "Mega Menu",
	Search: Search$5,
	Menu: Menu$5,
	Dashboards: Dashboards$5,
	Dashboard: Dashboard$5,
	Default: Default$5,
	Saas: Saas$5,
	Crypto: Crypto$5,
	Apps: Apps$5,
	Calendar: Calendar$5,
	New: New$5,
	Chat: Chat$5,
	Ecommerce: Ecommerce$5,
	Products: Products$5,
	"Product Detail": "Product Detail",
	Orders: Orders$6,
	Customers: Customers$5,
	Cart: Cart$5,
	Checkout: Checkout$5,
	Shops: Shops$5,
	"Add Product": "Add Product",
	Wallet: Wallet$5,
	"Buy/Sell": "Buy/Sell",
	Exchange: Exchange$5,
	Lending: Lending$5,
	"KYC Application": "KYC Application",
	"ICO Landing": "ICO Landing",
	Email: Email$5,
	Inbox: Inbox$5,
	"Read Email": "Read Email",
	Invoices: Invoices$5,
	"Invoice List": "Invoice List",
	"Invoice Detail": "Invoice Detail",
	Projects: Projects$5,
	"Projects Grid": "Projects Grid",
	"Projects List": "Projects List",
	"Project Overview": "Project Overview",
	"Create New": "Create New",
	Tasks: Tasks$5,
	"Task List": "Task List",
	"Kanban Board": "Kanban Board",
	"Create Task": ",Create Task",
	Contacts: Contacts$5,
	"User Grid": "User Grid",
	"User List": "Kullanıcı Listesi",
	Profile: Profile$5,
	Authentication: Authentication$5,
	Login: Login$6,
	Register: Register$6,
	"Forget Password": "Forget Password",
	Utility: Utility$5,
	"Starter Page": "Starter Page",
	Maintenance: Maintenance$5,
	"Coming Soon": "Coming Soon",
	Timeline: Timeline$5,
	FAQs: FAQs$5,
	Pricing: Pricing$5,
	"Error 404": "Error 404",
	"Error 500": "Error 500",
	Components: Components$5,
	"UI Elements": "UI Elements",
	Alerts: Alerts$5,
	Buttons: Buttons$5,
	Cards: Cards$5,
	Carousel: Carousel$5,
	Dropdowns: Dropdowns$5,
	Grid: Grid$5,
	Images: Images$5,
	Lightbox: Lightbox$5,
	Modals: Modals$5,
	"Range Slider": "Range Slider",
	"Session Timeout": "Session Timeout",
	"Progress Bars": "Progress Bars",
	"Sweet-Alert": "Sweet-Alert",
	"Tabs & Accordions": "Tabs & Accordions",
	Typography: Typography$5,
	Video: Video$5,
	General: General$5,
	Colors: Colors$5,
	Rating: Rating$5,
	Notifications: Notifications$5,
	"Image Cropper": "Image Cropper",
	Forms: Forms$5,
	"Form Elements": "Form Elements",
	"Form Validation": "Form Validation",
	"Form Advanced": "Form Advanced",
	"Form Editors": "Form Editors",
	"Form File Upload": "Form File Upload",
	"Form Xeditable": "Form Xeditable",
	"Form Repeater": "Form Repeater",
	"Form Wizard": "Form Wizard",
	"Form Mask": "Form Mask",
	Tables: Tables$5,
	"Basic Tables": "Basic Tables",
	"Data Tables": "Data Tables",
	"Responsive Table": "Responsive Table",
	"Editable Table": "Editable Table",
	Charts: Charts$5,
	"Apex charts": "Apex charts",
	"Chartist Chart": "Chartist Chart",
	"Chartjs Chart": "Chartjs Chart",
	"E Chart": "E Chart",
	"Sparkline Chart": "Sparkline Chart",
	"Toast UI Chart": "Toast UI Chart",
	Icons: Icons$5,
	Boxicons: Boxicons$5,
	"Material Design": "Material Design",
	Dripicons: Dripicons$5,
	"Font awesome": "Font awesome",
	Maps: Maps$5,
	"Google Maps": "Google Maps",
	"Vector Maps": "Vector Maps",
	"Level 1.1": "Level 1.1",
	"Multi Level": "Multi Level",
	"Level 1.2": "Level 1.2",
	"Level 2.1": "Level 2.1",
	"Level 2.2": "Level 2.2",
	"My Wallet": "My Wallet",
	Settings: Settings$5,
	"Lock screen": "Lock screen",
	"View all": "Tümünü Gör",
	Logout: Logout$5,
	"Your order is placed": "Your order is placed",
	"If several languages coalesce the grammar": "If several languages coalesce the grammar",
	"3 min ago": "3 min ago",
	"It will seem like simplified English": "It will seem like simplified English",
	"1 hours ago": "1 hours ago",
	"Your item is shipped": "Your item is shipped",
	"As a skeptical Cambridge friend of mine occidental": "As a skeptical Cambridge friend of mine occidental",
	"UI Components": "UI Components",
	Applications: Applications$5,
	"Extra Pages": "Extra Pages",
	"Horizontal layout": "Horizontal layout",
	"Light Sidebar": "Light Sidebar",
	"Compact Sidebar": "Compact Sidebar",
	Couriers: Couriers$1,
	Courier: Courier$1,
	"Courier Tracking": "Kurye Takip",
	"Courier Applications": "Kurye Başvuruları",
	Operational: Operational$1,
	"Operation Tracking": "Operasyon Takip",
	"Past Orders": "Gecmiş Siparişler",
	Announcements: Announcements$1,
	"Address Book": "Adres Defteri",
	"Credit Cards": "Kredi Kartlari",
	"Service Area": "Servis Alanı",
	"Operating Hours": "Çalışma Saatleri"
};

var resources = {
  gr: {
    translation: translationGr
  },
  it: {
    translation: translationIT
  },
  rs: {
    translation: translationRS
  },
  sp: {
    translation: translationSP
  },
  eng: {
    translation: translationENG
  },
  tr: {
    translation: translationTR
  }
};
i18n$1.use(detector).use(initReactI18next).init({
  resources: resources,
  lng: "tr",
  fallbackLng: "tr",
  keySeparator: false,
  interpolation: {
    escapeValue: false
  }
});

var ExampleComponent = function ExampleComponent(_ref) {
  var text = _ref.text;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.test
  }, "Example Component: ", text);
};
var LoginForm = Login;
var RegisterForm = Register;
var UserList$1 = UserList;
var UserForm$1 = UserForm;
var UserEditForm$1 = UserEditForm;
var OrderList = Orders;
var OrderDetail$1 = OrderDetail;
var RightSideBar = function RightSideBar(_ref2) {
  var props = _ref2.props,
      showRightSidebarAction = _ref2.showRightSidebarAction,
      changeLayout = _ref2.changeLayout,
      changeLayoutWidth = _ref2.changeLayoutWidth,
      changeTopbarTheme = _ref2.changeTopbarTheme,
      changeSidebarTheme = _ref2.changeSidebarTheme,
      changeSidebarType = _ref2.changeSidebarType;
  return /*#__PURE__*/React.createElement(RightSideBarComponent, {
    props: props,
    showRightSidebarAction: showRightSidebarAction,
    changeLayout: changeLayout,
    changeLayoutWidth: changeLayoutWidth,
    changeTopbarTheme: changeTopbarTheme,
    changeSidebarType: changeSidebarType,
    changeSidebarTheme: changeSidebarTheme
  });
};
var ProfileMenu$1 = ProfileMenuComponent;
var Breadcrumb$1 = Breadcrumb;
var Welcome$1 = Welcome;
var MiniCard$1 = MiniCard;
var NotificationDropdown$1 = NotificationDropdownComponent;
var EditableSelect$1 = EditableSelect;
var TouchSpin$1 = TouchSpin;
var PhoneInput$1 = PhoneInput;
var SwitchInput$1 = SwitchInput;
var UserTable$1 = UserTable;
var OrderTable$1 = OrderTable;
var i18n = i18n$1;
var CurrentUser = currentUser;
var ApiHelper = {
  loginpost: loginpost,
  registerpost: registerpost,
  verificationCodeRequestGet: verificationCodeRequestGet,
  get: get,
  post: post,
  postWithParams: postWithParams,
  putReq: putReq,
  deleteReq: deleteReq
};

export { ApiHelper, Breadcrumb$1 as Breadcrumb, CurrentUser, EditableSelect$1 as EditableSelect, ExampleComponent, LoginForm, MiniCard$1 as MiniCard, NotificationDropdown$1 as NotificationDropdown, OrderDetail$1 as OrderDetail, OrderList, OrderTable$1 as OrderTable, PhoneInput$1 as PhoneInput, ProfileMenu$1 as ProfileMenu, RegisterForm, RightSideBar, SwitchInput$1 as SwitchInput, TouchSpin$1 as TouchSpin, UserEditForm$1 as UserEditForm, UserForm$1 as UserForm, UserList$1 as UserList, UserTable$1 as UserTable, Welcome$1 as Welcome, i18n };
//# sourceMappingURL=index.modern.js.map
